Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.exceptions
Class DescriptorException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.toplink.exceptions.TopLinkException
oracle.toplink.exceptions.ValidationException
oracle.toplink.exceptions.DescriptorException`

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  SDKDescriptorException

public class DescriptorException
extends ValidationException

Purpose: This exception is used for any problem that is detected with a descriptor or mapping.

See Also:
  Serialized Form

Field Summary
`static int` | `ATTEMPT_TO_REGISTER_DEAD_INDIRECTION`
`static int` | `ATTRIBUTE_AND_MAPPING_WITH_INDIRECTION_MISMATCH`
`static int` | `ATTRIBUTE_AND_MAPPING_WITH_TRANSPARENT_INDIRECTION_MISMATCH`
`static int` | `ATTRIBUTE_AND_MAPPING_WITHOUT_INDIRECTION_MISMATCH`
`static int` | `ATTRIBUTE_NAME_NOT_SPECIFIED`
`static int` | `ATTRIBUTE_TRANSFORMER_CLASS_INVALID`
`static int` | `ATTRIBUTE_TRANSFORMER_CLASS_NOT_FOUND`
`static int` | `ATTRIBUTE_TYPE_NOT_VALID`
`static int` | `CHILD_DOES_NOT_DEFINE_ABSTRACT_QUERY_KEY`
`static int` | `CLASS_EXTRACTION_METHOD_MUST_BE_STATIC`
`static int` | `CLASS_INDICATOR_FIELD_NOT_FOUND`
`static int` | `COULD_NOT_INSTANTIATE_INDIRECT_CONTAINER_CLASS`
`static int` | `CUSTOM_QUERY_AND_RETURNING_POLICY_CONFLICT`
`static int` | `DESCRIPTOR_FOR_INTERFACE_IS_MISSING`
`static int` | `DESCRIPTOR_IS_MISSING`
`static int` | `DIRECT_FIELD_NAME_NOT_SET`
`static int` | `ERROR_OCCURED_IN_AMENDMENT_METHOD`
`static int` | `FIELD_IS_NOT_PRESENT_IN_DATABASE`
`static int` | `FIELD_NAME_NOT_SET_IN_MAPPING`
`static int` | `FIELD_TRANSFORMER_CLASS_INVALID`
`static int` | `FIELD_TRANSFORMER_CLASS_NOT_FOUND`
`static int` | `FOREIGN_KEYS_DEFINED_INCORRECTLY`
`static int` | `GET_METHOD_RETURN_TYPE_NOT_VALID`
`static int` | `IDENTITY_MAP_NOT_SPECIFIED`
`static int` | `ILLEGAL_ACCESS_WHILE_CLONING`
`static int` | `ILLEGAL_ACCESS_WHILE_CONSTRUCTOR_INSTANTIATION`
`static int` | `ILLEGAL_ACCESS_WHILE_CONSTRUCTOR_INSTANTIATION_OF_FACTORY`
`static int` | `ILLEGAL_ACCESS_WHILE_EVENT_EXECUTION`
`static int` | `ILLEGAL_ACCESS_WHILE_GETTING_VALUE_THRU_INSTANCE_VARIABLE_ACCESSOR`
`static int` | `ILLEGAL_ACCESS_WHILE_GETTING_VALUE_THRU_METHOD_ACCESSOR`
`static int` | `ILLEGAL_ACCESS_WHILE_INSTANTIATING_METHOD_BASED_PROXY`
`static int` | `ILLEGAL_ACCESS_WHILE_INVOKING_ATTRIBUTE_METHOD`
`static int` | `ILLEGAL_ACCESS_WHILE_INVOKING_FIELD_TO_METHOD`
`static int` | `ILLEGAL_ACCESS_WHILE_INVOKING_ROW_EXTRACTION_METHOD`
`static int` | `ILLEGAL_ACCESS_WHILE_METHOD_INSTANTIATION`
`static int` | `ILLEGAL_ACCESS_WHILE_METHOD_INSTANTIATION_OF_FACTORY`
`static int` | `ILLEGAL_ACCESS_WHILE_OBSOLETE_EVENT_EXECUTION`
`static int` | `ILLEGAL_ACCESS_WHILE_SETTING_VALUE_THRU_INSTANCE_VARIABLE_ACCESSOR`
`static int` | `ILLEGAL_ACCESS_WHILE_SETTING_VALUE_THRU_METHOD_ACCESSOR`
`static int` | `ILLEGAL_ARGUMENT_WHILE_GETTING_VALUE_THRU_INSTANCE_VARIABLE_ACCESSOR`
`static int` | `ILLEGAL_ARGUMENT_WHILE_GETTING_VALUE_THRU_METHOD_ACCESSOR`
`static int` | `ILLEGAL_ARGUMENT_WHILE_INSTANTIATING_METHOD_BASED_PROXY`
`static int` | `ILLEGAL_ARGUMENT_WHILE_INVOKING_ATTRIBUTE_METHOD`
`static int` | `ILLEGAL_ARGUMENT_WHILE_INVOKING_FIELD_TO_METHOD`
`static int` | `ILLEGAL_ARGUMENT_WHILE_OBSOLETE_EVENT_EXECUTION`
`static int` | `ILLEGAL_ARGUMENT_WHILE_SETTING_VALUE_THRU_INSTANCE_VARIABLE_ACCESSOR`
`static int` | `ILLEGAL_ARGUMENT_WHILE_SETTING_VALUE_THRU_METHOD_ACCESSOR`
`static int` | `ILLEGAL_TABLE_NAME_IN_MULTIPLE_TABLE_FOREIGN_KEY`
`static int` | `INCORRECT_COLLECTION_POLICY`
`static int` | `INDIRECT_CONTAINER_INSTANTIATION_MISMATCH`
`static int` | `INSTANTIATION_WHILE_CONSTRUCTOR_INSTANTIATION`
`static int` | `INSTANTIATION_WHILE_CONSTRUCTOR_INSTANTIATION_OF_FACTORY`
`static int` | `INVALID_AMENDMENT_METHOD`
`static int` | `INVALID_ATTRIBUTE_TYPE_FOR_PROXY_INDIRECTION`
`static int` | `INVALID_CONTAINER_POLICY`
`static int` | `INVALID_CONTAINER_POLICY_WITH_TRANSPARENT_INDIRECTION`
`static int` | `INVALID_DATA_MODIFICATION_EVENT`
`static int` | `INVALID_DATA_MODIFICATION_EVENT_CODE`
`static int` | `INVALID_DESCRIPTOR_EVENT_CODE`
`static int` | `INVALID_GET_RETURN_TYPE_FOR_PROXY_INDIRECTION`
`static int` | `INVALID_IDENTITY_MAP`
`static int` | `INVALID_INDIRECTION_CONTAINER_CLASS`
`static int` | `INVALID_INDIRECTION_POLICY_OPERATION`
`static int` | `INVALID_MAPPING_OPERATION`
`static int` | `INVALID_MAPPING_TYPE`
`static int` | `INVALID_SET_PARAMETER_TYPE_FOR_PROXY_INDIRECTION`
`static int` | `INVALID_USE_OF_NO_INDIRECTION`
`static int` | `INVALID_USE_OF_TRANSPARENT_INDIRECTION`
`static int` | `ISOLATED_DESCRIPTOR_REFERENCED_BY_SHARED_DESCRIPTOR`
`static int` | `JAVA_CLASS_NOT_SPECIFIED`
`static int` | `LOCK_MAPPING_CANNOT_BE_READONLY`
`static int` | `LOCK_MAPPING_MUST_BE_READONLY`
`static int` | `MAPPING_FOR_SEQUENCE_NUMBER_FIELD`
`static int` | `MISSING_CLASS_FOR_INDICATOR_FIELD_VALUE`
`static int` | `MISSING_CLASS_INDICATOR_FIELD`
`static int` | `MISSING_FOREIGN_KEY_TRANSLATION`
`static int` | `MISSING_INDIRECT_CONTAINER_CONSTRUCTOR`
`static int` | `MISSING_MAPPING_FOR_FIELD`
`static int` | `MULTIPLE_TABLE_INSERT_ORDER_MISMATCH`
`static int` | `MULTIPLE_TABLE_PRIMARY_KEY_MUST_BE_FULLY_QUALIFIED`
`static int` | `MULTIPLE_TABLE_PRIMARY_KEY_NOT_SPECIFIED`
`static int` | `MULTIPLE_WRITE_MAPPINGS_FOR_FIELD`
`static int` | `NEED_TO_IMPLEMENT_CHANGETRACKER`
`static int` | `NEED_TO_IMPLEMENT_FETCHGROUPTRACKER`
`static int` | `NO_ATTRBUTE_VALUE_CONVERSION_TO_FIELD_VALUE_PROVIDED`
`static int` | `NO_ATTRIBUTE_TRANSFORMATION_METHOD`
`static int` | `NO_CONSTRUCTOR_INDIRECT_COLLECTION_CLASS`
`static int` | `NO_CUSTOM_QUERY_FOR_RETURNING_POLICY`
`static int` | `NO_FIELD_NAME_FOR_MAPPING`
`static int` | `NO_FIELD_VALUE_CONVERSION_TO_ATTRIBUTE_VALUE_PROVIDED`
`static int` | `NO_FOREIGN_KEYS_ARE_SPECIFIED`
`static int` | `NO_MAPPING_FOR_ATTRIBUTENAME`
`static int` | `NO_MAPPING_FOR_ATTRIBUTENAME_IN_ENTITY_BEAN`
`static int` | `NO_MAPPING_FOR_PRIMARY_KEY`
`static int` | `NO_REFERENCE_KEY_IS_SPECIFIED`
`static int` | `NO_RELATION_TABLE`
`static int` | `NO_SOURCE_RELATION_KEYS_SPECIFIED`
`static int` | `NO_SUB_CLASS_MATCH`
`static int` | `NO_SUCH_FIELD_WHILE_INITIALIZING_ATTRIBUTES_IN_INSTANCE_VARIABLE_ACCESSOR`
`static int` | `NO_SUCH_METHOD_ON_FIND_OBSOLETE_METHOD`
`static int` | `NO_SUCH_METHOD_ON_INITIALIZING_ATTRIBUTE_METHOD`
`static int` | `NO_SUCH_METHOD_WHILE_CONSTRUCTOR_INSTANTIATION`
`static int` | `NO_SUCH_METHOD_WHILE_CONSTRUCTOR_INSTANTIATION_OF_FACTORY`
`static int` | `NO_SUCH_METHOD_WHILE_CONVERTING_TO_METHOD`
`static int` | `NO_SUCH_METHOD_WHILE_INITIALIZING_ATTRIBUTES_IN_METHOD_ACCESSOR`
`static int` | `NO_SUCH_METHOD_WHILE_INITIALIZING_CLASS_EXTRACTION_METHOD`
`static int` | `NO_SUCH_METHOD_WHILE_INITIALIZING_COPY_POLICY`
`static int` | `NO_SUCH_METHOD_WHILE_INITIALIZING_INSTANTIATION_POLICY`
`static int` | `NO_TARGET_FOREIGN_KEYS_SPECIFIED`
`static int` | `NO_TARGET_RELATION_KEYS_SPECIFIED`
`static int` | `NORMAL_DESCRIPTORS_DO_NOT_SUPPORT_NON_RELATIONAL_EXTENSIONS`
`static int` | `NOT_DESERIALIZABLE`
`static int` | `NOT_SERIALIZABLE`
`static int` | `NULL_FOR_NON_NULL_AGGREGATE`
`static int` | `NULL_POINTER_WHILE_CONSTRUCTOR_INSTANTIATION`
`static int` | `NULL_POINTER_WHILE_CONSTRUCTOR_INSTANTIATION_OF_FACTORY`
`static int` | `NULL_POINTER_WHILE_GETTING_VALUE_THRU_INSTANCE_VARIABLE_ACCESSOR`
`static int` | `NULL_POINTER_WHILE_GETTING_VALUE_THRU_METHOD_ACCESSOR`
`static int` | `NULL_POINTER_WHILE_METHOD_INSTANTIATION`
`static int` | `NULL_POINTER_WHILE_METHOD_INSTANTIATION_OF_FACTORY`
`static int` | `NULL_POINTER_WHILE_SETTING_VALUE_THRU_INSTANCE_VARIABLE_ACCESSOR`
`static int` | `NULL_POINTER_WHILE_SETTING_VALUE_THRU_METHOD_ACCESSOR`
`static int` | `ONLY_ONE_TABLE_CAN_BE_ADDED_WITH_THIS_METHOD`
`static int` | `PARAMETER_AND_MAPPING_WITH_INDIRECTION_MISMATCH`
`static int` | `PARAMETER_AND_MAPPING_WITH_TRANSPARENT_INDIRECTION_MISMATCH`
`static int` | `PARAMETER_AND_MAPPING_WITHOUT_INDIRECTION_MISMATCH`
`static int` | `PARENT_CLASS_IS_SELF`
`static int` | `PARENT_DESCRIPTOR_NOT_SPECIFIED`
`static int` | `PRIMARY_KEY_FIELDS_NOT_SPECIFIED`
`static int` | `PROXY_INDIRECTION_NOT_AVAILABLE`
`static int` | `REFERENCE_CLASS_NOT_SPECIFIED`
`static int` | `REFERENCE_DESCRIPTOR_CANNOT_BE_AGGREGATE`
`static int` | `REFERENCE_DESCRIPTOR_IS_NOT_AGGREGATE`
`static int` | `REFERENCE_DESCRIPTOR_IS_NOT_AGGREGATECOLLECTION`
`static int` | `REFERENCE_KEY_FIELD_NOT_PROPERLY_SPECIFIED`
`static int` | `REFERENCE_TABLE_NOT_SPECIFIED`
`static int` | `RELATION_KEY_FIELD_NOT_PROPERLY_SPECIFIED`
`static int` | `RETURN_AND_MAPPING_WITH_INDIRECTION_MISMATCH`
`static int` | `RETURN_AND_MAPPING_WITH_TRANSPARENT_INDIRECTION_MISMATCH`
`static int` | `RETURN_AND_MAPPING_WITHOUT_INDIRECTION_MISMATCH`
`static int` | `RETURN_TYPE_IN_GET_ATTRIBUTE_ACCESSOR`
`static int` | `RETURNING_POLICY_AND_DESCRIPTOR_FIELD_TYPE_CONFLICT`
`static int` | `RETURNING_POLICY_FIELD_INSERT_CONFLICT`
`static int` | `RETURNING_POLICY_FIELD_NOT_SUPPORTED`
`static int` | `RETURNING_POLICY_FIELD_TYPE_CONFLICT`
`static int` | `RETURNING_POLICY_MAPPED_FIELD_TYPE_NOT_SET`
`static int` | `RETURNING_POLICY_MAPPING_NOT_SUPPORTED`
`static int` | `RETURNING_POLICY_UNMAPPED_FIELD_TYPE_NOT_SET`
`static int` | `SECURITY_ON_FIND_METHOD`
`static int` | `SECURITY_ON_FIND_OBSOLETE_METHOD`
`static int` | `SECURITY_ON_INITIALIZING_ATTRIBUTE_METHOD`
`static int` | `SECURITY_WHILE_CONVERTING_TO_METHOD`
`static int` | `SECURITY_WHILE_INITIALIZING_ATTRIBUTES_IN_INSTANCE_VARIABLE_ACCESSOR`
`static int` | `SECURITY_WHILE_INITIALIZING_ATTRIBUTES_IN_METHOD_ACCESSOR`
`static int` | `SECURITY_WHILE_INITIALIZING_CLASS_EXTRACTION_METHOD`
`static int` | `SECURITY_WHILE_INITIALIZING_COPY_POLICY`
`static int` | `SECURITY_WHILE_INITIALIZING_INSTANTIATION_POLICY`
`static int` | `SEQUENCE_NUMBER_PROPERTY_NOT_SPECIFIED`
`static int` | `SET_EXISTENCE_CHECKING_NOT_UNDERSTOOD`
`static int` | `SET_METHOD_PARAMETER_TYPE_NOT_VALID`
`static int` | `SIZE_MISMATCH_OF_FOREIGN_KEYS`
`static int` | `STRUCTURE_NAME_NOT_SET_IN_MAPPING`
`static int` | `TABLE_IS_NOT_PRESENT_IN_DATABASE`
`static int` | `TABLE_NOT_PRESENT`
`static int` | `TABLE_NOT_SPECIFIED`
`static int` | `TARGET_FOREIGN_KEYS_SIZE_MISMATCH`
`static int` | `TARGET_INVOCATION_WHILE_CLONING`
`static int` | `TARGET_INVOCATION_WHILE_CONSTRUCTOR_INSTANTIATION`
`static int` | `TARGET_INVOCATION_WHILE_CONSTRUCTOR_INSTANTIATION_OF_FACTORY`
`static int` | `TARGET_INVOCATION_WHILE_EVENT_EXECUTION`
`static int` | `TARGET_INVOCATION_WHILE_GETTING_VALUE_THRU_METHOD_ACCESSOR`
`static int` | `TARGET_INVOCATION_WHILE_INSTANTIATING_METHOD_BASED_PROXY`
`static int` | `TARGET_INVOCATION_WHILE_INVOKING_ATTRIBUTE_METHOD`
`static int` | `TARGET_INVOCATION_WHILE_INVOKING_FIELD_TO_METHOD`
`static int` | `TARGET_INVOCATION_WHILE_INVOKING_ROW_EXTRACTION_METHOD`
`static int` | `TARGET_INVOCATION_WHILE_METHOD_INSTANTIATION`
`static int` | `TARGET_INVOCATION_WHILE_METHOD_INSTANTIATION_OF_FACTORY`
`static int` | `TARGET_INVOCATION_WHILE_OBSOLETE_EVENT_EXECUTION`
`static int` | `TARGET_INVOCATION_WHILE_SETTING_VALUE_THRU_METHOD_ACESSOR`
`static int` | `UNSUPPORTED_TYPE_FOR_BIDIRECTIONAL_RELATIONSHIP_MAINTENANCE`
`static int` | `UPDATE_ALL_FIELDS_NOT_SET`
`static int` | `VALUE_HOLDER_INSTANTIATION_MISMATCH`
`static int` | `VALUE_NOT_FOUND_IN_CLASS_INDICATOR_MAPPING`
`static int` | `VARIABLE_ONE_TO_ONE_MAPPING_IS_NOT_DEFINED`
`static int` | `WRITE_LOCK_FIELD_IN_CHILD_DESCRIPTOR`

Fields inherited from class oracle.toplink.exceptions.ValidationException
`ALREADY_LOGGED_IN, ANNOTATIONS_CONFLICT, ASSOCIATION_TABLE_ANNOTATION_NOT_FOUND, ATTRIBUTE_OVERRIDE_COLUMNS_NOT_SPECIFIED, CANNOT_ACQUIRE_CLIENTSESSION_FROM_SESSION, CANNOT_ACQUIRE_DATA_SOURCE, CANNOT_ACQUIRE_HISTORICAL_SESSION, CANNOT_ADD_DESCRIPTORS_TO_SESSION, CANNOT_ADD_DESCRIPTORS_TO_SESSION_BROKER, CANNOT_CAST_TO_CLASS, CANNOT_COMMIT_AND_RESUME_UOW_WITH_UPDATE_ALL_QUERIES, CANNOT_COMMIT_UOW_AGAIN, CANNOT_CREATE_EXTERNAL_TRANSACTION_CONTROLLER, CANNOT_INVOKE_METHOD_ON_CONFIG_CLASS, CANNOT_LOGIN_TO_A_SESSION, CANNOT_LOGOUT_OF_A_SESSION, CANNOT_MODIFY_READ_ONLY_CLASSES_SET_AFTER_USING_UNIT_OF_WORK, CANNOT_MODIFY_SCHEMA_IN_SESSION, CANNOT_REGISTER_AGGREGATE_OBJECT_IN_UNIT_OF_WORK, CANNOT_RELEASE_NON_CLIENTSESSION, CANNOT_REMOVE_FROM_READ_ONLY_CLASSES_IN_NESTED_UNIT_OF_WORK, CANNOT_RESUME_SYNCHRONIZED_UOW, CANNOT_SET_CURSOR_FOR_PARAMETER_TYPE_OTHER_THAN_OUT, CANNOT_SET_DEFAULT_SEQUENCE_AS_DEFAULT, CANNOT_SET_READ_POOL_SIZE_AFTER_LOGIN, CANNOT_TRANSLATE_UNPREPARED_CALL, CANNOT_WRITE_CHANGES_ON_NESTED_UNIT_OF_WORK, CANNOT_WRITE_CHANGES_TWICE, CANT_HAVE_UNBOUND_IN_OUTPUT_ARGUMENTS, CHILD_DESCRIPTORS_DO_NOT_HAVE_IDENTITY_MAP, CLASS_FILE_TRANSFORMER_THROWS_EXCEPTION, CLASS_LIST_MUST_NOT_BE_NULL, CLIENT_SESSION_CANNOT_USE_EXCLUSIVE_CONNECTION, CONFIG_FACTORY_NAME_PROPERTY_NOT_FOUND, CONFIG_FACTORY_NAME_PROPERTY_NOT_SPECIFIED, CONFIG_METHOD_NOT_DEFINED, CONTAINER_POLICY_DOES_NOT_USE_KEYS, COULD_NOT_BIND_JNDI, COULD_NOT_FIND_DRIVER_CLASS, CREATE_PLATFORM_DEFAULT_SEQUENCE_UNDEFINED, CURRENT_LOADER_NOT_VALID, DEFAULT_SEQUENCE_NAME_ALREADY_USED_BY_SEQUENCE, DESCRIPTOR_MUST_NOT_BE_INITIALIZED, EJB_CANNOT_LOAD_REMOTE_CLASS, EJB_CONTAINER_EXCEPTION_RAISED, EJB_DESCRIPTOR_NOT_FOUND_IN_SESSION, EJB_FINDER_EXCEPTION, EJB_INVALID_FINDER_ON_HOME, EJB_INVALID_PLATFORM_CLASS, EJB_INVALID_PROJECT_CLASS, EJB_INVALID_SESSION_TYPE_CLASS, EJB_MUST_BE_IN_TRANSACTION, EJB_NO_SUCH_SESSION_SPECIFIED_IN_PROPERTIES, EJB_PRIMARY_KEY_REFLECTION_EXCEPTION, EJB_SESSION_TYPE_CLASS_NOT_FOUND, EJB_TOPLINK_PROPERTIES_NOT_FOUND, EMBEDDED_ID_AND_ID_ANNOTATIONS_FOUND, ENTITY_CLASS_NOT_FOUND, ERROR_CLOSING_PERSISTENCE_XML, ERROR_DECRYPTING_PASSWORD, ERROR_ENCRYPTING_PASSWORD, ERROR_IN_SESSION_XML, ERROR_INSTANTIATING_ENTITY_LISTENER, ERROR_PROCESSING_NAMED_QUERY_ANNOTATION, EXCEPTION_CONFIGURING_EM_FACTORY, EXCLUSIVE_CONNECTION_NO_LONGER_AVAILABLE, EXISTING_QUERY_TYPE_CONFLICT, FATAL_ERROR_OCCURRED, FEATURE_NOT_SUPPORTED_IN_JDK_VERSION, FIELD_LEVEL_LOCKING_NOTSUPPORTED_OUTSIDE_A_UNIT_OF_WORK, FILE_ERROR, FLUSH_MODE_NOT_SUPPORTED, HISTORICAL_SESSION_ONLY_SUPPORTED_ON_ORACLE, ID_ANNOTATION_CANNOT_SPECIFY_GENERATOR, ILLEGAL_CONTAINER_CLASS, ILLEGAL_USE_OF_MAP_IN_DIRECTCOLLECTION, INACTIVE_UNIT_OF_WORK, INCORRECT_LOGIN_INSTANCE_PROVIDED, INVALID_ANNOTATION_SPECIFIED, INVALID_CALLBACK_METHOD, INVALID_CLASS_TYPE_FOR_LOB_ANNOTATION, INVALID_COLUMN_ANNOTATION_ON_RELATIONSHIP, INVALID_COMPOSITE_PK_SPECIFICATION, INVALID_CONNECTOR, INVALID_DATA_SOURCE_NAME, INVALID_EMBEDDABLE_ATTRIBUTE, INVALID_ENCRYPTION_CLASS, INVALID_ENTITY_CALLBACK_METHOD_ARGUMENTS, INVALID_ENTITY_LISTENER_CALLBACK_METHOD_ARGUMENTS, INVALID_FETCH_LAZY_TYPE, INVALID_FILE_TYPE, INVALID_MERGE_POLICY, INVALID_METHOD_ARGUMENTS, INVALID_NAMED_QUERY_ANNOTATION_NAME, INVALID_NULL_METHOD_ARGUMENTS, INVALID_READ_ONLY_CLASS_STRUCTURE_IN_UNIT_OF_WORK, INVALID_SEQUENCING_LOGIN, ISOLATED_DATA_NOT_SUPPORTED_IN_CLIENTSESSIONBROKER, JAR_FILES_IN_PERSISTENCE_XML_NOT_SUPPORTED, JAVA_TYPE_IS_NOT_A_VALID_DATABASE_TYPE, JTS_EXCEPTION_RAISED, KEYS_MUST_MATCH, LOG_IO_ERROR, LOGIN_BEFORE_ALLOCATING_CLIENT_SESSIONS, MAX_SIZE_LESS_THAN_MIN_SIZE, METHOD_FAILED, METHOD_NOT_DECLARED_IN_ITEM_CLASS, MISSING_DESCRIPTOR, MISSING_MAPPING, MULTIPLE_CURSORS_NOT_SUPPORTED, MULTIPLE_EMBEDDED_ID_ANNOTATIONS_FOUND, MULTIPLE_PROJECTS_SPECIFIED_IN_PROPERTIES, NAME_AND_REF_NAME_MUST_BE_SPECIFIED, NAMED_QUERY_ALREADY_EXISTS, NESTED_UOW_NOT_SUPPORTED_FOR_ATTRIBUTE_TRACKING, NESTED_UOW_NOT_SUPPORTED_FOR_UPDATE_ALL_QUERY, NO_CORRESPONDING_SETTER_METHOD_DEFINED, NO_MAPPED_BY_ATTRIBUTE_FOUND, NO_PK_ANNOTATIONS_FOUND, NO_PROJECT_SPECIFIED_IN_PROPERTIES, NO_PROPERTIES_FILE_FOUND, NO_SESSION_FOUND, NO_SESSION_REGISTERED_FOR_CLASS, NO_SESSION_REGISTERED_FOR_NAME, NO_SESSIONS_XML_FOUND, NO_TABLES_TO_CREATE, NO_TOPLINK_EJB_JAR_XML_FOUND, NOT_SUPPORTED_FOR_DATASOURCE, NULL_CACHE_KEY_FOUND_ON_REMOVAL, NULL_PK_IN_UOW_CLONE, NULL_UNDERLYING_VALUEHOLDER_VALUE, OBJECT_NEED_IMPL_TRACKER_FOR_FETCH_GROUP_USAGE, OLD_COMMIT_NOT_SUPPORTED_FOR_ATTRIBUTE_TRACKING, ONE_TO_MANY_HAS_BOTH_ASSOCIATIONTABLE_AND_JOINCOLUMN_ANNOTATIONS, ONLY_FIELDS_ARE_VALID_KEYS_FOR_DATABASE_ROWS, OPERATION_NOT_SUPPORTED, OPTIMISTIC_LOCKING_NOT_SUPPORTED, ORACLE_OBJECT_TYPE_NAME_NOT_DEFINED, ORACLE_OBJECT_TYPE_NOT_DEFINED, ORACLE_VARRAY_MAXIMIM_SIZE_NOT_DEFINED, ORACLEJDBC10_1_0_2PROXYCONNECTOR_REQUIRES_INT_PROXYTYPE, ORACLEJDBC10_1_0_2PROXYCONNECTOR_REQUIRES_ORACLECONNECTION, ORACLEJDBC10_1_0_2PROXYCONNECTOR_REQUIRES_ORACLECONNECTION_VERSION, ORACLEOCIPROXYCONNECTOR_REQUIRES_ORACLEOCICONNECTIONPOOL, PLATFORM_CLASS_NOT_FOUND, PLATFORM_DOES_NOT_SUPPORT_CALL_WITH_RETURNING, PLATFORM_DOES_NOT_SUPPORT_SEQUENCE, PLATFORM_DOES_NOT_SUPPORT_STORED_FUNCTIONS, POOL_NAME_DOES_NOT_EXIST, POOLS_MUST_BE_CONFIGURED_BEFORE_LOGIN, PROJECT_AMENDMENT_EXCEPTION_OCCURED, PROJECT_LOGIN_IS_NULL, PROJECT_XML_NOT_FOUND, QUERY_ARGUMENT_TYPE_NOT_FOUND, QUERY_SEQUENCE_DOES_NOT_HAVE_SELECT_QUERY, RESERVED_NAME, SEQUENCE_CANNOT_BE_CONNECTED_TO_TWO_PLATFORMS, SEQUENCE_NAME_ALREADY_USED_BY_DEFAULT_SEQUENCE, SEQUENCE_SETUP_INCORRECTLY, SERVER_PLATFORM_IS_READ_ONLY_AFTER_LOGIN, SESSION_AMENDMENT_EXCEPTION_OCCURED, SET_LISTENER_CLASSES_EXCEPTION, START_INDEX_OUT_OF_RANGE, STOP_INDEX_OUT_OF_RANGE, SUB_SESSION_NOT_DEFINED_FOR_BROKER, TABLE_PER_CLASS_INHERITANCE_NOT_SUPPORTED, UNABLE_TO_LOAD_CLASS, UNFETCHED_ATTRIBUTE_NOT_EDITABLE, UNIT_OF_WORK_AFTER_WRITE_CHANGES_FAILED, UNIT_OF_WORK_IN_TRANSACTION_COMMIT_PENDING, UNSUPPORTED_CASCADE_LOCKING_DESCRIPTOR, UNSUPPORTED_CASCADE_LOCKING_MAPPING, UNSUPPORTED_CASCADE_LOCKING_MAPPING_WITH_CUSTOM_QUERY, UPDATE_ALL_QUERIES_NOT_SUPPORTED_WITH_OTHER_WRITES, WRITE_OBJECT_NOT_ALLOWED_IN_UNIT_OF_WORK, WRONG_CHANGE_EVENT, WRONG_COLLECTION_CHANGE_EVENT_TYPE, WRONG_OBJECT_REGISTERED, WRONG_PROPERTY_NAME_IN_CHANGE_EVENT, WRONG_SEQUENCE_TYPE, WRONG_USAGE_OF_SET_CUSTOM_SQL_ARGUMENT_TYPE_METOD`

Method Summary
`static DescriptorException` | `attemptToRegisterDeadIndirection(java.lang.Object object, DatabaseMapping mapping)`
`static DescriptorException` | `attributeAndMappingWithIndirectionMismatch(DatabaseMapping mapping)`
`static DescriptorException` | `attributeAndMappingWithoutIndirectionMismatch(DatabaseMapping mapping)`
`static DescriptorException` | `attributeAndMappingWithTransparentIndirectionMismatch(DatabaseMapping mapping, java.lang.String validTypeName)`
`static DescriptorException` | `attributeMappingIsMissingForEntityBean(java.lang.String attributeName, java.lang.String beanName)`
`static DescriptorException` | `attributeNameNotSpecified()`
`static DescriptorException` | `attributeTransformerClassInvalid(java.lang.String className, AbstractTransformationMapping mapping, java.lang.Exception exception)`
`static DescriptorException` | `attributeTransformerClassNotFound(java.lang.String className, AbstractTransformationMapping mapping, java.lang.Exception exception)`
`static DescriptorException` | `attributeTypeNotValid(CollectionMapping mapping)`
`static DescriptorException` | `childDoesNotDefineAbstractQueryKeyOfParent(Descriptor child, Descriptor parent, java.lang.String queryKeyName)`
`static DescriptorException` | `classExtractionMethodMustBeStatic(java.lang.String methodName, Descriptor descriptor)`
`static DescriptorException` | `classIndicatorFieldNotFound(Descriptor parentDescriptor, Descriptor descriptor)`
`static DescriptorException` | `couldNotInstantiateIndirectContainerClass(java.lang.Class containerClass, java.lang.Exception exception)`
`static DescriptorException` | `customQueryAndReturningPolicyFieldConflict(java.lang.String queryTypeName, java.lang.String fieldName, Descriptor descriptor)`
`static DescriptorException` | `descriptorForInterfaceIsMissing(java.lang.String interfaceName)`
`static DescriptorException` | `descriptorIsMissing(java.lang.String className, DatabaseMapping mapping)`
`static DescriptorException` | `directFieldNameNotSet(DatabaseMapping mapping)`
`static DescriptorException` | `errorOccuredInAmendmentMethod(java.lang.Class amendmentClass, java.lang.String method, java.lang.Exception exception, Descriptor descriptor)`
`static DescriptorException` | `fieldIsNotPresentInDatabase(Descriptor descriptor, java.lang.String tableName, java.lang.String fieldName)`
`static DescriptorException` | `fieldNameNotSetInMapping(DatabaseMapping mapping)`
`static DescriptorException` | `fieldTransformerClassInvalid(java.lang.String className, AbstractTransformationMapping mapping, java.lang.Exception exception)`
`static DescriptorException` | `fieldTransformerClassNotFound(java.lang.String className, AbstractTransformationMapping mapping, java.lang.Exception exception)`
`static DescriptorException` | `foreignKeysDefinedIncorrectly(ForeignReferenceMapping mapping)`
`Descriptor` | `getDescriptor()` PUBLIC: Return the descriptor that the problem was detected in.
`DatabaseMapping` | `getMapping()` PUBLIC: Return the mapping that the problem was detected in.
`java.lang.String` | `getMessage()` PUBLIC: Return the exception error message.
`static DescriptorException` | `getMethodReturnTypeNotValid(CollectionMapping mapping)`
`static DescriptorException` | `identityMapNotSpecified(Descriptor descriptor)`
`static DescriptorException` | `illegalAccesstWhileGettingValueThruInstanceVaraibleAccessor(java.lang.String attributeName, java.lang.String objectName, java.lang.Throwable exception)`
`static DescriptorException` | `illegalAccessWhileCloning(java.lang.Object domainObject, java.lang.String methodName, Descriptor descriptor, java.lang.Throwable exception)`
`static DescriptorException` | `illegalAccessWhileConstructorInstantiation(Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `illegalAccessWhileConstructorInstantiationOfFactory(Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `illegalAccessWhileEventExecution(java.lang.String eventMethodName, Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `illegalAccessWhileGettingValueThruMethodAccessor(java.lang.String methodName, java.lang.String objectName, java.lang.Throwable exception)`
`static DescriptorException` | `illegalAccessWhileInstantiatingMethodBasedProxy(java.lang.Throwable exception)`
`static DescriptorException` | `illegalAccessWhileInvokingAttributeMethod(DatabaseMapping mapping, java.lang.Throwable exception)`
`static DescriptorException` | `illegalAccessWhileInvokingFieldToMethod(java.lang.String methodName, DatabaseMapping mapping, java.lang.Throwable exception)`
`static DescriptorException` | `illegalAccessWhileInvokingRowExtractionMethod(DatabaseRow row, java.lang.reflect.Method method, Descriptor descriptor, java.lang.Throwable exception)`
`static DescriptorException` | `illegalAccessWhileMethodInstantiation(java.lang.String methodName, Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `illegalAccessWhileMethodInstantiationOfFactory(java.lang.String methodName, Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `illegalAccessWhileObsoleteEventExecute(java.lang.String eventMethodName, Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `illegalAccessWhileSettingValueThruInstanceVariableAccessor(java.lang.String attributeName, java.lang.String objectName, java.lang.Object objectValue, java.lang.Throwable exception)`
`static DescriptorException` | `illegalAccessWhileSettingValueThruMethodAccessor(java.lang.String setMethodName, java.lang.Object value, java.lang.Throwable exception)`
`static DescriptorException` | `illegalArgumentWhileGettingValueThruInstanceVariableAccessor(java.lang.String attributeName, java.lang.String typeName, java.lang.String objectName, java.lang.Throwable exception)`
`static DescriptorException` | `illegalArgumentWhileGettingValueThruMethodAccessor(java.lang.String methodName, java.lang.String objectName, java.lang.Throwable exception)`
`static DescriptorException` | `illegalArgumentWhileInstantiatingMethodBasedProxy(java.lang.Throwable exception)`
`static DescriptorException` | `illegalArgumentWhileInvokingAttributeMethod(DatabaseMapping mapping, java.lang.Throwable exception)`
`static DescriptorException` | `illegalArgumentWhileInvokingFieldToMethod(java.lang.String methodName, DatabaseMapping mapping, java.lang.Throwable exception)`
`static DescriptorException` | `illegalArgumentWhileObsoleteEventExecute(java.lang.String eventMethodName, Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `illegalArgumentWhileSettingValueThruInstanceVariableAccessor(java.lang.String attributeName, java.lang.String typeName, java.lang.Object value, java.lang.Throwable exception)`
`static DescriptorException` | `illegalArgumentWhileSettingValueThruMethodAccessor(java.lang.String setMethodName, java.lang.Object value, java.lang.Throwable exception)`
`static DescriptorException` | `illegalTableNameInMultipleTableForeignKeyField(Descriptor descriptor, DatabaseTable table)`
`static DescriptorException` | `incorrectCollectionPolicy(DatabaseMapping mapping, java.lang.Class attributeClass, java.lang.Class containerClass)`
`static DescriptorException` | `indirectContainerInstantiationMismatch(java.lang.Object attributeValue, DatabaseMapping mapping)`
`static DescriptorException` | `instantiationWhileConstructorInstantiation(Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `instantiationWhileConstructorInstantiationOfFactory(Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `invalidAmendmentMethod(java.lang.Class amendmentClass, java.lang.String method, java.lang.Exception exception, Descriptor descriptor)`
`static DescriptorException` | `invalidAttributeTypeForProxyIndirection(java.lang.Class attributeType, java.lang.Class[] targetInterfaces, DatabaseMapping mapping)`
`static DescriptorException` | `invalidContainerPolicy(oracle.toplink.internal.queryframework.ContainerPolicy containerPolicy, java.lang.Class javaClass)`
`static DescriptorException` | `invalidContainerPolicyWithTransparentIndirection(DatabaseMapping mapping, oracle.toplink.internal.queryframework.ContainerPolicy containerPolicy)`
`static DescriptorException` | `invalidDataModificationEvent(DatabaseMapping mapping)`
`static DescriptorException` | `invalidDataModificationEventCode(java.lang.Object event, ForeignReferenceMapping mapping)`
`static DescriptorException` | `invalidDescriptorEventCode(DescriptorEvent event, Descriptor descriptor)`
`static DescriptorException` | `invalidGetMethodReturnTypeForProxyIndirection(java.lang.Class attributeType, java.lang.Class[] targetInterfaces, DatabaseMapping mapping)`
`static DescriptorException` | `invalidIdentityMap(Descriptor descriptor, java.lang.Throwable exception)`
`static DescriptorException` | `invalidIndirectionContainerClass(oracle.toplink.internal.indirection.ContainerIndirectionPolicy policy, java.lang.Class containerClass)`
`static DescriptorException` | `invalidIndirectionPolicyOperation(oracle.toplink.internal.indirection.IndirectionPolicy policy, java.lang.String operation)`
`static DescriptorException` | `invalidMappingOperation(DatabaseMapping mapping, java.lang.String operation)`
`static DescriptorException` | `invalidMappingType(DatabaseMapping mapping)`
`static DescriptorException` | `invalidSetMethodParameterTypeForProxyIndirection(java.lang.Class attributeType, java.lang.Class[] targetInterfaces, DatabaseMapping mapping)`
`static DescriptorException` | `invalidUseOfNoIndirection(DatabaseMapping mapping)`
`static DescriptorException` | `invalidUseOfTransparentIndirection(DatabaseMapping mapping)`
`static DescriptorException` | `isolateDescriptorReferencedBySharedDescriptor(java.lang.String referenceClass, java.lang.String sourceClass, DatabaseMapping mapping)`
`static DescriptorException` | `javaClassNotSpecified(Descriptor descriptor)`
`static DescriptorException` | `mappingCanNotBeReadOnly(DatabaseMapping mapping)`
`static DescriptorException` | `mappingForAttributeIsMissing(java.lang.String attributeName, Descriptor descriptor)`
`static DescriptorException` | `mappingForSequenceNumberField(Descriptor descriptor)`
`static DescriptorException` | `missingClassForIndicatorFieldValue(java.lang.Object classFieldValue, Descriptor descriptor)`
`static DescriptorException` | `missingClassIndicatorField(DatabaseRow row, Descriptor descriptor)`
`static DescriptorException` | `missingForeignKeyTranslation(ForeignReferenceMapping mapping, DatabaseField primaryKeyField)`
`static DescriptorException` | `missingIndirectContainerConstructor(java.lang.Class containerClass)`
`static DescriptorException` | `missingMappingForField(DatabaseField field, Descriptor descriptor)`
`static DescriptorException` | `multipleTableInsertOrderMismatch(Descriptor aDescriptor)`
`static DescriptorException` | `multipleTablePrimaryKeyMustBeFullyQualified(Descriptor descriptor)`
`static DescriptorException` | `multipleTablePrimaryKeyNotSpecified(Descriptor descriptor)`
`static DescriptorException` | `multipleWriteMappingsForField(java.lang.String fieldName, DatabaseMapping mapping)`
`static DescriptorException` | `mustBeReadOnlyMappingWhenStoredInCache(DatabaseMapping mapping)`
`static DescriptorException` | `needToImplementChangeTracker(Descriptor descriptor)`
`static DescriptorException` | `needToImplementFetchGroupTracker(java.lang.Class aClass, Descriptor descriptor)`
`static DescriptorException` | `noAttributeTransformationMethod(DatabaseMapping mapping)`
`static DescriptorException` | `noAttributeValueConversionToFieldValueProvided(java.lang.Object attributeValue, DatabaseMapping mapping)`
`static DescriptorException` | `noConstructorIndirectionContainerClass(oracle.toplink.internal.indirection.ContainerIndirectionPolicy policy, java.lang.Class containerClass)`
`static DescriptorException` | `noCustomQueryForReturningPolicy(java.lang.String queryTypeName, java.lang.String platformTypeName, Descriptor descriptor)`
`static DescriptorException` | `noFieldNameForMapping(DatabaseMapping mapping)`
`static DescriptorException` | `noFieldValueConversionToAttributeValueProvided(java.lang.Object fieldValue, DatabaseField field, DatabaseMapping mapping)`
`static DescriptorException` | `noForeignKeysAreSpecified(ForeignReferenceMapping mapping)`
`static DescriptorException` | `noMappingForPrimaryKey(DatabaseField field, Descriptor descriptor)`
`static DescriptorException` | `noReferenceKeyIsSpecified(ForeignReferenceMapping mapping)`
`static DescriptorException` | `noRelationTable(DatabaseMapping mapping)`
`static DescriptorException` | `normalDescriptorsDoNotSupportNonRelationalExtensions(Descriptor descriptor)`
`static DescriptorException` | `noSourceRelationKeysSpecified(ForeignReferenceMapping mapping)`
`static DescriptorException` | `noSubClassMatch(java.lang.Class theClass, DatabaseMapping mapping)`
`static DescriptorException` | `noSuchFieldWhileInitializingAttributesInInstanceVariableAccessor(java.lang.String attributeName, java.lang.String javaClassName, java.lang.Throwable exception)`
`static DescriptorException` | `noSuchMethodOnFindObsoleteMethod(java.lang.String methodName, Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `noSuchMethodOnInitializingAttributeMethod(java.lang.String attributeMethodName, DatabaseMapping mapping, java.lang.Throwable exception)`
`static DescriptorException` | `noSuchMethodWhileConstructorInstantiation(Descriptor descriptor, java.lang.Throwable exception)`
`static DescriptorException` | `noSuchMethodWhileConstructorInstantiationOfFactory(Descriptor descriptor, java.lang.Throwable exception)`
`static DescriptorException` | `noSuchMethodWhileConvertingToMethod(java.lang.String methodName, DatabaseMapping mapping, java.lang.Throwable exception)`
`static DescriptorException` | `noSuchMethodWhileInitializingAttributesInMethodAccessor(java.lang.String setMethodName, java.lang.String getMethodName, java.lang.String javaClassName)`
`static DescriptorException` | `noSuchMethodWhileInitializingClassExtractionMethod(java.lang.String methodName, Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `noSuchMethodWhileInitializingCopyPolicy(java.lang.String methodName, Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `noSuchMethodWhileInitializingInstantiationPolicy(java.lang.String methodName, Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `noTargetForeignKeysSpecified(ForeignReferenceMapping mapping)`
`static DescriptorException` | `noTargetRelationKeysSpecified(ForeignReferenceMapping mapping)`
`static DescriptorException` | `notDeserializable(DatabaseMapping mapping, java.lang.Throwable exception)`
`static DescriptorException` | `notSerializable(DatabaseMapping mapping, java.lang.Throwable exception)`
`static DescriptorException` | `nullForNonNullAggregate(java.lang.Object object, DatabaseMapping mapping)`
`static DescriptorException` | `nullPointerWhileConstructorInstantiation(Descriptor descriptor, java.lang.Throwable exception)`
`static DescriptorException` | `nullPointerWhileConstructorInstantiationOfFactory(Descriptor descriptor, java.lang.Throwable exception)`
`static DescriptorException` | `nullPointerWhileGettingValueThruInstanceVariableAccessor(java.lang.String attributeName, java.lang.String objectName, java.lang.Throwable exception)`
`static DescriptorException` | `nullPointerWhileGettingValueThruMethodAccessor(java.lang.String methodName, java.lang.String objectName, java.lang.Throwable exception)`
`static DescriptorException` | `nullPointerWhileMethodInstantiation(java.lang.String methodName, Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `nullPointerWhileMethodInstantiationOfFactory(java.lang.String methodName, Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `nullPointerWhileSettingValueThruInstanceVariableAccessor(java.lang.String attributeName, java.lang.Object objectValue, java.lang.Throwable exception)`
`static DescriptorException` | `nullPointerWhileSettingValueThruMethodAccessor(java.lang.String setMethodName, java.lang.Object value, java.lang.Throwable exception)`
`static DescriptorException` | `onlyOneTableCanBeAddedWithThisMethod(Descriptor descriptor)`
`static DescriptorException` | `parameterAndMappingWithIndirectionMismatch(DatabaseMapping mapping)`
`static DescriptorException` | `parameterAndMappingWithoutIndirectionMismatch(DatabaseMapping mapping)`
`static DescriptorException` | `parameterAndMappingWithTransparentIndirectionMismatch(DatabaseMapping mapping, java.lang.String validTypeName)`
`static DescriptorException` | `parentClassIsSelf(Descriptor descriptor)`
`static DescriptorException` | `parentDescriptorNotSpecified(java.lang.String parentClassName, Descriptor descriptor)`
`static DescriptorException` | `primaryKeyFieldsNotSepcified(Descriptor descriptor)`
`static DescriptorException` | `proxyIndirectionNotAvailable(DatabaseMapping mapping)`
`static DescriptorException` | `referenceClassNotSpecified(DatabaseMapping mapping)`
`static DescriptorException` | `referenceDescriptorCannotBeAggregate(DatabaseMapping mapping)`
`static DescriptorException` | `referenceDescriptorIsNotAggregate(java.lang.String className, DatabaseMapping mapping)`
`static DescriptorException` | `referenceDescriptorIsNotAggregateCollection(java.lang.String className, DatabaseMapping mapping)`
`static DescriptorException` | `referenceKeyFieldNotProperlySpecified(DatabaseField field, ForeignReferenceMapping mapping)`
`static DescriptorException` | `referenceTableNotSpecified(DatabaseMapping mapping)`
`static DescriptorException` | `relationKeyFieldNotProperlySpecified(DatabaseField field, ForeignReferenceMapping mapping)`
`static DescriptorException` | `returnAndMappingWithIndirectionMismatch(DatabaseMapping mapping)`
`static DescriptorException` | `returnAndMappingWithoutIndirectionMismatch(DatabaseMapping mapping)`
`static DescriptorException` | `returnAndMappingWithTransparentIndirectionMismatch(DatabaseMapping mapping, java.lang.String validTypeName)`
`static DescriptorException` | `returningPolicyAndDescriptorFieldTypeConflict(java.lang.String fieldName, java.lang.String returningPolicyFieldTypeName, java.lang.String descriptorFieldTypeName, Descriptor descriptor)`
`static DescriptorException` | `returningPolicyFieldInsertConflict(java.lang.String fieldName, Descriptor descriptor)`
`static DescriptorException` | `returningPolicyFieldNotSupported(java.lang.String fieldName, Descriptor descriptor)`
`static DescriptorException` | `returningPolicyFieldTypeConflict(java.lang.String fieldName, java.lang.String type1Name, java.lang.String type2Name, Descriptor descriptor)`
`static DescriptorException` | `returningPolicyMappedFieldTypeNotSet(java.lang.String fieldName, Descriptor descriptor)`
`static DescriptorException` | `returningPolicyMappingNotSupported(java.lang.String fieldName, java.lang.String mappingClassName, DatabaseMapping mapping)`
`static DescriptorException` | `returningPolicyUnmappedFieldTypeNotSet(java.lang.String fieldName, Descriptor descriptor)`
`static DescriptorException` | `returnTypeInGetAttributeAccessor(java.lang.String attributeMethodName, DatabaseMapping mapping)`
`static DescriptorException` | `securityOnFindMethod(java.lang.String methodName, Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `securityOnFindObsoleteMethod(java.lang.String methodName, Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `securityOnInitializingAttributeMethod(java.lang.String attributeMethodName, DatabaseMapping mapping, java.lang.Throwable exception)`
`static DescriptorException` | `securityWhileConvertingToMethod(java.lang.String methodName, DatabaseMapping mapping, java.lang.Throwable exception)`
`static DescriptorException` | `securityWhileInitializingAttributesInInstanceVariableAccessor(java.lang.String attributeName, java.lang.String javaClassName, java.lang.Throwable exception)`
`static DescriptorException` | `securityWhileInitializingAttributesInMethodAccessor(java.lang.String setMethodName, java.lang.String getMethodName, java.lang.String javaClassName)`
`static DescriptorException` | `securityWhileInitializingClassExtractionMethod(java.lang.String methodName, Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `securityWhileInitializingCopyPolicy(java.lang.String methodName, Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `securityWhileInitializingInstantiationPolicy(java.lang.String methodName, Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `sequenceNumberPropertyNotSpecified(Descriptor descriptor)`
`static DescriptorException` | `setExistenceCheckingNotUnderstood(java.lang.String token, Descriptor descriptor)`
`static DescriptorException` | `setMethodParameterTypeNotValid(CollectionMapping mapping)`
`static DescriptorException` | `sizeMismatchOfForeignKeys(ForeignReferenceMapping mapping)`
`static DescriptorException` | `structureNameNotSetInMapping(DatabaseMapping mapping)`
`static DescriptorException` | `tableIsNotPresentInDatabase(Descriptor descriptor)`
`static DescriptorException` | `tableNotPresent(java.lang.String tableName, Descriptor descriptor)`
`static DescriptorException` | `tableNotSpecified(Descriptor descriptor)`
`static DescriptorException` | `targetForeignKeysSizeMismatch(ForeignReferenceMapping mapping)`
`static DescriptorException` | `targetInvocationWhileCloning(java.lang.Object domainObject, java.lang.String methodName, Descriptor descriptor, java.lang.Throwable exception)`
`static DescriptorException` | `targetInvocationWhileConstructorInstantiation(Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `targetInvocationWhileConstructorInstantiationOfFactory(Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `targetInvocationWhileEventExecution(java.lang.String eventMethodName, Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `targetInvocationWhileGettingValueThruMethodAccessor(java.lang.String methodName, java.lang.String objectName, java.lang.Throwable exception)`
`static DescriptorException` | `targetInvocationWhileInstantiatingMethodBasedProxy(java.lang.Throwable exception)`
`static DescriptorException` | `targetInvocationWhileInvokingAttributeMethod(DatabaseMapping mapping, java.lang.Throwable exception)`
`static DescriptorException` | `targetInvocationWhileInvokingFieldToMethod(java.lang.String methodName, DatabaseMapping mapping, java.lang.Throwable exception)`
`static DescriptorException` | `targetInvocationWhileInvokingRowExtractionMethod(DatabaseRow row, java.lang.reflect.Method method, Descriptor descriptor, java.lang.Throwable exception)`
`static DescriptorException` | `targetInvocationWhileMethodInstantiation(java.lang.String methodName, Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `targetInvocationWhileMethodInstantiationOfFactory(java.lang.String methodName, Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `targetInvocationWhileObsoleteEventExecute(java.lang.String eventMethodName, Descriptor descriptor, java.lang.Exception exception)`
`static DescriptorException` | `targetInvocationWhileSettingValueThruMethodAccessor(java.lang.String setMethodName, java.lang.Object value, java.lang.Throwable exception)`
`static DescriptorException` | `unsupportedTypeForBidirectionalRelationshipMaintenance(DatabaseMapping mapping, oracle.toplink.internal.queryframework.ContainerPolicy containerPolicy)`
`static DescriptorException` | `updateAllFieldsNotSet(Descriptor descriptor)`
`static DescriptorException` | `valueHolderInstantiationMismatch(java.lang.Object attributeValue, DatabaseMapping mapping)`
`static DescriptorException` | `valueNotFoundInClassIndicatorMapping(Descriptor parentDescriptor, Descriptor descriptor)`
`static DescriptorException` | `variableOneToOneMappingIsNotDefinedProperly(DatabaseMapping mapping, Descriptor descriptor, java.lang.String targetKeyName)`
`static DescriptorException` | `writeLockFieldInChildDescriptor(Descriptor descriptor)`

Methods inherited from class oracle.toplink.exceptions.ValidationException
`alreadyLoggedIn, annotationsConflict, associationTableAnnotationNotFound, attributeOverrideColumnsNotSpecified, cannotAcquireClientSessionFromSession, cannotAcquireDataSource, cannotAcquireHistoricalSession, cannotAddDescriptorsToSessionBroker, cannotCastToClass, cannotCommitAndResumeSynchronizedUOW, cannotCommitAndResumeUOWWithUpdateAllQueries, cannotCommitUOWAgain, cannotCreateExternalTransactionController, cannotHaveUnboundInOutputArguments, cannotInvokeMethodOnConfigClass, cannotIssueUpdateAllQueryWithOtherWritesWithinUOW, cannotModifyReadOnlyClassesSetAfterUsingUnitOfWork, cannotRegisterAggregateObjectInUnitOfWork, cannotReleaseNonClientSession, cannotRemoveFromReadOnlyClassesInNestedUnitOfWork, cannotSetCursorForParameterTypeOtherThanOut, cannotSetDefaultSequenceAsDefault, cannotSetListenerClasses, cannotSetReadPoolSizeAfterLogin, cannotTranslateUnpreparedCall, cannotWriteChangesTwice, childDescriptorsDoNotHaveIdentityMap, classFileTransformerThrowsException, classListMustNotBeNull, clientSessionCanNotUseExclusiveConnection, configFactoryNamePropertyNotFound, configFactoryNamePropertyNotSpecified, configMethodNotDefined, containerPolicyDoesNotUseKeys, couldNotBindJndi, couldNotFindDriverClass, createPlatformDefaultSequenceUndefined, currentLoaderNotValid, defaultSequenceNameAlreadyUsedBySequence, descriptorMustBeNotInitialized, ejbCannotLoadRemoteClass, ejbContainerExceptionRaised, ejbDescriptorNotFoundInSession, ejbFinderException, ejbInvalidHomeInterfaceClass, ejbInvalidPlatformClass, ejbInvalidProjectClass, ejbInvalidSessionTypeClass, ejbMustBeInTransaction, ejbNoSuchSessionSpecifiedInProperties, ejbPrimaryKeyReflectionException, ejbSessionTypeClassNotFound, ejbTopLinkPropertiesNotFound, embeddedIdAndIdAnnotationFound, entityClassNotFound, errorClosingPersistenceXML, errorDecryptingPassword, errorEncryptingPassword, errorInSessionsXML, errorInstantiatingEntityListener, errorProcessingNamedQueryAnnotation, exceptionConfiguringEMFactory, excusiveConnectionIsNoLongerAvailable, existingQueryTypeConflict, fatalErrorOccurred, featureIsNotAvailableInRunningJDKVersion, fieldLevelLockingNotSupportedWithoutUnitOfWork, fileError, flushModeNotSupported, historicalSessionOnlySupportedOnOracle, idAnnotationCannotSpecifyGenerator, illegalContainerClass, illegalOperationForUnitOfWorkLifecycle, illegalUseOfMapInDirectCollection, inActiveUnitOfWork, incorrectLoginInstanceProvided, invalidAnnotationSpecified, invalidCallbackMethod, invalidClassTypeForLOBAnnotation, invalidColumnAnnotationOnRelationship, invalidCompositePKSpecification, invalidConnector, invalidDataSourceName, invalidEmbeddableAttribute, invalidEncryptionClass, invalidEntityCallbackMethodArguments, invalidEntityListenerCallbackMethodArguments, invalidFetchLazyType, invalidFileName, invalidMergePolicy, invalidMethodArguments, invalidNamedQueryAnnotationName, invalidNullMethodArguments, invalidSequencingLogin, isolatedDataNotSupportedInSessionBroker, jarFilesInPersistenceXmlNotSupported, javaTypeIsNotAValidDatabaseType, jtsExceptionRaised, loginBeforeAllocatingClientSessions, logIOError, maxSizeLessThanMinSize, methodFailed, methodNotDeclaredInItemClass, missingDescriptor, missingMappingForAttribute, multipleCursorsNotSupported, multipleEmbeddedIdAnnotationsFound, multipleProjectsSpecifiedInProperties, nameAndReferenceNameMustBeSpecified, namedQueryAlreadyExists, nestedUOWNotSupportedForAttributeTracking, nestedUOWNotSupportedForUpdateAllQuery, noCorrespondingSetterMethodDefined, noMappedByAttributeFound, noPrimaryKeyAnnotationsFound, noProjectSpecifiedInProperties, noPropertiesFileFound, noSessionFound, noSessionRegisteredForClass, noSessionRegisteredForName, noSessionsXMLFound, noTablesToCreate, noTopLinkEjbJarXMLFound, notSupportedForDatasource, nullCacheKeyFoundOnRemoval, nullPrimaryKeyInUnitOfWorkClone, nullUnderlyingValueHolderValue, objectNeedImplTrackerForFetchGroupUsage, oldCommitNotSupportedForAttributeTracking, oneToManyHasBothAssociationTableAndJoinColumnAnnotations, onlyFieldsAreValidKeysForDatabaseRows, operationNotSupported, optimisticLockingNotSupportedWithStoredProcedureGeneration, oracleJDBC10_1_0_2ProxyConnectorRequiresIntProxytype, oracleJDBC10_1_0_2ProxyConnectorRequiresOracleConnection, oracleJDBC10_1_0_2ProxyConnectorRequiresOracleConnectionVersion, oracleObjectTypeIsNotDefined, oracleObjectTypeNameIsNotDefined, oracleOCIProxyConnectorRequiresOracleOCIConnectionPool, oracleVarrayMaximumSizeNotDefined, platformClassNotFound, platformDoesNotSupportCallWithReturning, platformDoesNotSupportSequence, platformDoesNotSupportStoredFunctions, poolNameDoesNotExist, poolsMustBeConfiguredBeforeLogin, projectAmendmentExceptionOccured, projectLoginIsNull, projectXMLNotFound, queryArgumentTypeNotFound, querySequenceDoesNotHaveSelectQuery, reservedName, sequenceCannotBeConnectedToTwoPlatforms, sequenceNameAlreadyUsedByDefaultSequence, sequenceSetupIncorrectly, serverPlatformIsReadOnlyAfterLogin, sessionAmendmentExceptionOccured, startIndexOutOfRange, stopIndexOutOfRange, subSessionsNotDefinedForBroker, tablePerClassInheritanceNotSupported, unableToLoadClass, unfetchedAttributeNotEditable, unitOfWorkAfterWriteChangesFailed, unitOfWorkInTransactionCommitPending, unitOfWorkInTransactionCommitPending, unsupportedCascadeLockingDescriptor, unsupportedCascadeLockingMapping, unsupportedCascadeLockingMappingWithCustomQuery, writeChangesOnNestedUnitOfWork, writeObjectNotAllowedInUnitOfWork, wrongChangeEvent, wrongCollectionChangeEventType, wrongObjectRegistered, wrongPropertyNameInChangeEvent, wrongSequenceType, wrongUsageOfSetCustomArgumentTypeMethod`

Methods inherited from class oracle.toplink.exceptions.TopLinkException
`getErrorCode, getInternalException, getSession, printStackTrace, printStackTrace, printStackTrace, setShouldPrintInternalException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTRIBUTE_AND_MAPPING_WITH_INDIRECTION_MISMATCH

    public static final int ATTRIBUTE_AND_MAPPING_WITH_INDIRECTION_MISMATCH

  See Also:
    Constant Field Values

### ATTRIBUTE_AND_MAPPING_WITHOUT_INDIRECTION_MISMATCH

    public static final int ATTRIBUTE_AND_MAPPING_WITHOUT_INDIRECTION_MISMATCH

  See Also:
    Constant Field Values

### ATTRIBUTE_NAME_NOT_SPECIFIED

    public static final int ATTRIBUTE_NAME_NOT_SPECIFIED

  See Also:
    Constant Field Values

### ATTRIBUTE_TYPE_NOT_VALID

    public static final int ATTRIBUTE_TYPE_NOT_VALID

  See Also:
    Constant Field Values

### CLASS_INDICATOR_FIELD_NOT_FOUND

    public static final int CLASS_INDICATOR_FIELD_NOT_FOUND

  See Also:
    Constant Field Values

### DIRECT_FIELD_NAME_NOT_SET

    public static final int DIRECT_FIELD_NAME_NOT_SET

  See Also:
    Constant Field Values

### FIELD_NAME_NOT_SET_IN_MAPPING

    public static final int FIELD_NAME_NOT_SET_IN_MAPPING

  See Also:
    Constant Field Values

### FOREIGN_KEYS_DEFINED_INCORRECTLY

    public static final int FOREIGN_KEYS_DEFINED_INCORRECTLY

  See Also:
    Constant Field Values

### IDENTITY_MAP_NOT_SPECIFIED

    public static final int IDENTITY_MAP_NOT_SPECIFIED

  See Also:
    Constant Field Values

### ILLEGAL_ACCESS_WHILE_GETTING_VALUE_THRU_INSTANCE_VARIABLE_ACCESSOR

    public static final int ILLEGAL_ACCESS_WHILE_GETTING_VALUE_THRU_INSTANCE_VARIABLE_ACCESSOR

  See Also:
    Constant Field Values

### ILLEGAL_ACCESS_WHILE_CLONING

    public static final int ILLEGAL_ACCESS_WHILE_CLONING

  See Also:
    Constant Field Values

### ILLEGAL_ACCESS_WHILE_CONSTRUCTOR_INSTANTIATION

    public static final int ILLEGAL_ACCESS_WHILE_CONSTRUCTOR_INSTANTIATION

  See Also:
    Constant Field Values

### ILLEGAL_ACCESS_WHILE_EVENT_EXECUTION

    public static final int ILLEGAL_ACCESS_WHILE_EVENT_EXECUTION

  See Also:
    Constant Field Values

### ILLEGAL_ACCESS_WHILE_GETTING_VALUE_THRU_METHOD_ACCESSOR

    public static final int ILLEGAL_ACCESS_WHILE_GETTING_VALUE_THRU_METHOD_ACCESSOR

  See Also:
    Constant Field Values

### ILLEGAL_ACCESS_WHILE_INSTANTIATING_METHOD_BASED_PROXY

    public static final int ILLEGAL_ACCESS_WHILE_INSTANTIATING_METHOD_BASED_PROXY

  See Also:
    Constant Field Values

### ILLEGAL_ACCESS_WHILE_INVOKING_ATTRIBUTE_METHOD

    public static final int ILLEGAL_ACCESS_WHILE_INVOKING_ATTRIBUTE_METHOD

  See Also:
    Constant Field Values

### ILLEGAL_ACCESS_WHILE_INVOKING_FIELD_TO_METHOD

    public static final int ILLEGAL_ACCESS_WHILE_INVOKING_FIELD_TO_METHOD

  See Also:
    Constant Field Values

### ILLEGAL_ACCESS_WHILE_INVOKING_ROW_EXTRACTION_METHOD

    public static final int ILLEGAL_ACCESS_WHILE_INVOKING_ROW_EXTRACTION_METHOD

  See Also:
    Constant Field Values

### ILLEGAL_ACCESS_WHILE_METHOD_INSTANTIATION

    public static final int ILLEGAL_ACCESS_WHILE_METHOD_INSTANTIATION

  See Also:
    Constant Field Values

### ILLEGAL_ACCESS_WHILE_OBSOLETE_EVENT_EXECUTION

    public static final int ILLEGAL_ACCESS_WHILE_OBSOLETE_EVENT_EXECUTION

  See Also:
    Constant Field Values

### ILLEGAL_ACCESS_WHILE_SETTING_VALUE_THRU_INSTANCE_VARIABLE_ACCESSOR

    public static final int ILLEGAL_ACCESS_WHILE_SETTING_VALUE_THRU_INSTANCE_VARIABLE_ACCESSOR

  See Also:
    Constant Field Values

### ILLEGAL_ACCESS_WHILE_SETTING_VALUE_THRU_METHOD_ACCESSOR

    public static final int ILLEGAL_ACCESS_WHILE_SETTING_VALUE_THRU_METHOD_ACCESSOR

  See Also:
    Constant Field Values

### ILLEGAL_ARGUMENT_WHILE_GETTING_VALUE_THRU_INSTANCE_VARIABLE_ACCESSOR

    public static final int ILLEGAL_ARGUMENT_WHILE_GETTING_VALUE_THRU_INSTANCE_VARIABLE_ACCESSOR

  See Also:
    Constant Field Values

### ILLEGAL_ARGUMENT_WHILE_GETTING_VALUE_THRU_METHOD_ACCESSOR

    public static final int ILLEGAL_ARGUMENT_WHILE_GETTING_VALUE_THRU_METHOD_ACCESSOR

  See Also:
    Constant Field Values

### ILLEGAL_ARGUMENT_WHILE_INSTANTIATING_METHOD_BASED_PROXY

    public static final int ILLEGAL_ARGUMENT_WHILE_INSTANTIATING_METHOD_BASED_PROXY

  See Also:
    Constant Field Values

### ILLEGAL_ARGUMENT_WHILE_INVOKING_ATTRIBUTE_METHOD

    public static final int ILLEGAL_ARGUMENT_WHILE_INVOKING_ATTRIBUTE_METHOD

  See Also:
    Constant Field Values

### ILLEGAL_ARGUMENT_WHILE_INVOKING_FIELD_TO_METHOD

    public static final int ILLEGAL_ARGUMENT_WHILE_INVOKING_FIELD_TO_METHOD

  See Also:
    Constant Field Values

### ILLEGAL_ARGUMENT_WHILE_OBSOLETE_EVENT_EXECUTION

    public static final int ILLEGAL_ARGUMENT_WHILE_OBSOLETE_EVENT_EXECUTION

  See Also:
    Constant Field Values

### ILLEGAL_ARGUMENT_WHILE_SETTING_VALUE_THRU_INSTANCE_VARIABLE_ACCESSOR

    public static final int ILLEGAL_ARGUMENT_WHILE_SETTING_VALUE_THRU_INSTANCE_VARIABLE_ACCESSOR

  See Also:
    Constant Field Values

### ILLEGAL_ARGUMENT_WHILE_SETTING_VALUE_THRU_METHOD_ACCESSOR

    public static final int ILLEGAL_ARGUMENT_WHILE_SETTING_VALUE_THRU_METHOD_ACCESSOR

  See Also:
    Constant Field Values

### INSTANTIATION_WHILE_CONSTRUCTOR_INSTANTIATION

    public static final int INSTANTIATION_WHILE_CONSTRUCTOR_INSTANTIATION

  See Also:
    Constant Field Values

### INVALID_DATA_MODIFICATION_EVENT

    public static final int INVALID_DATA_MODIFICATION_EVENT

  See Also:
    Constant Field Values

### INVALID_DATA_MODIFICATION_EVENT_CODE

    public static final int INVALID_DATA_MODIFICATION_EVENT_CODE

  See Also:
    Constant Field Values

### INVALID_DESCRIPTOR_EVENT_CODE

    public static final int INVALID_DESCRIPTOR_EVENT_CODE

  See Also:
    Constant Field Values

### INVALID_IDENTITY_MAP

    public static final int INVALID_IDENTITY_MAP

  See Also:
    Constant Field Values

### JAVA_CLASS_NOT_SPECIFIED

    public static final int JAVA_CLASS_NOT_SPECIFIED

  See Also:
    Constant Field Values

### DESCRIPTOR_FOR_INTERFACE_IS_MISSING

    public static final int DESCRIPTOR_FOR_INTERFACE_IS_MISSING

  See Also:
    Constant Field Values

### MAPPING_FOR_SEQUENCE_NUMBER_FIELD

    public static final int MAPPING_FOR_SEQUENCE_NUMBER_FIELD

  See Also:
    Constant Field Values

### MISSING_CLASS_FOR_INDICATOR_FIELD_VALUE

    public static final int MISSING_CLASS_FOR_INDICATOR_FIELD_VALUE

  See Also:
    Constant Field Values

### MISSING_CLASS_INDICATOR_FIELD

    public static final int MISSING_CLASS_INDICATOR_FIELD

  See Also:
    Constant Field Values

### MISSING_MAPPING_FOR_FIELD

    public static final int MISSING_MAPPING_FOR_FIELD

  See Also:
    Constant Field Values

### NO_MAPPING_FOR_PRIMARY_KEY

    public static final int NO_MAPPING_FOR_PRIMARY_KEY

  See Also:
    Constant Field Values

### MULTIPLE_TABLE_PRIMARY_KEY_NOT_SPECIFIED

    public static final int MULTIPLE_TABLE_PRIMARY_KEY_NOT_SPECIFIED

  See Also:
    Constant Field Values

### MULTIPLE_WRITE_MAPPINGS_FOR_FIELD

    public static final int MULTIPLE_WRITE_MAPPINGS_FOR_FIELD

  See Also:
    Constant Field Values

### NO_ATTRIBUTE_TRANSFORMATION_METHOD

    public static final int NO_ATTRIBUTE_TRANSFORMATION_METHOD

  See Also:
    Constant Field Values

### NO_FIELD_NAME_FOR_MAPPING

    public static final int NO_FIELD_NAME_FOR_MAPPING

  See Also:
    Constant Field Values

### NO_FOREIGN_KEYS_ARE_SPECIFIED

    public static final int NO_FOREIGN_KEYS_ARE_SPECIFIED

  See Also:
    Constant Field Values

### NO_REFERENCE_KEY_IS_SPECIFIED

    public static final int NO_REFERENCE_KEY_IS_SPECIFIED

  See Also:
    Constant Field Values

### NO_RELATION_TABLE

    public static final int NO_RELATION_TABLE

  See Also:
    Constant Field Values

### NO_SOURCE_RELATION_KEYS_SPECIFIED

    public static final int NO_SOURCE_RELATION_KEYS_SPECIFIED

  See Also:
    Constant Field Values

### NO_SUCH_METHOD_ON_FIND_OBSOLETE_METHOD

    public static final int NO_SUCH_METHOD_ON_FIND_OBSOLETE_METHOD

  See Also:
    Constant Field Values

### NO_SUCH_METHOD_ON_INITIALIZING_ATTRIBUTE_METHOD

    public static final int NO_SUCH_METHOD_ON_INITIALIZING_ATTRIBUTE_METHOD

  See Also:
    Constant Field Values

### NO_SUCH_METHOD_WHILE_CONSTRUCTOR_INSTANTIATION

    public static final int NO_SUCH_METHOD_WHILE_CONSTRUCTOR_INSTANTIATION

  See Also:
    Constant Field Values

### NO_SUCH_METHOD_WHILE_CONVERTING_TO_METHOD

    public static final int NO_SUCH_METHOD_WHILE_CONVERTING_TO_METHOD

  See Also:
    Constant Field Values

### NO_SUCH_FIELD_WHILE_INITIALIZING_ATTRIBUTES_IN_INSTANCE_VARIABLE_ACCESSOR

    public static final int NO_SUCH_FIELD_WHILE_INITIALIZING_ATTRIBUTES_IN_INSTANCE_VARIABLE_ACCESSOR

  See Also:
    Constant Field Values

### NO_SUCH_METHOD_WHILE_INITIALIZING_ATTRIBUTES_IN_METHOD_ACCESSOR

    public static final int NO_SUCH_METHOD_WHILE_INITIALIZING_ATTRIBUTES_IN_METHOD_ACCESSOR

  See Also:
    Constant Field Values

### NO_SUCH_METHOD_WHILE_INITIALIZING_CLASS_EXTRACTION_METHOD

    public static final int NO_SUCH_METHOD_WHILE_INITIALIZING_CLASS_EXTRACTION_METHOD

  See Also:
    Constant Field Values

### NO_SUCH_METHOD_WHILE_INITIALIZING_COPY_POLICY

    public static final int NO_SUCH_METHOD_WHILE_INITIALIZING_COPY_POLICY

  See Also:
    Constant Field Values

### NO_SUCH_METHOD_WHILE_INITIALIZING_INSTANTIATION_POLICY

    public static final int NO_SUCH_METHOD_WHILE_INITIALIZING_INSTANTIATION_POLICY

  See Also:
    Constant Field Values

### NO_TARGET_FOREIGN_KEYS_SPECIFIED

    public static final int NO_TARGET_FOREIGN_KEYS_SPECIFIED

  See Also:
    Constant Field Values

### NO_TARGET_RELATION_KEYS_SPECIFIED

    public static final int NO_TARGET_RELATION_KEYS_SPECIFIED

  See Also:
    Constant Field Values

### NOT_DESERIALIZABLE

    public static final int NOT_DESERIALIZABLE

  See Also:
    Constant Field Values

### NOT_SERIALIZABLE

    public static final int NOT_SERIALIZABLE

  See Also:
    Constant Field Values

### NULL_FOR_NON_NULL_AGGREGATE

    public static final int NULL_FOR_NON_NULL_AGGREGATE

  See Also:
    Constant Field Values

### NULL_POINTER_WHILE_GETTING_VALUE_THRU_INSTANCE_VARIABLE_ACCESSOR

    public static final int NULL_POINTER_WHILE_GETTING_VALUE_THRU_INSTANCE_VARIABLE_ACCESSOR

  See Also:
    Constant Field Values

### NULL_POINTER_WHILE_GETTING_VALUE_THRU_METHOD_ACCESSOR

    public static final int NULL_POINTER_WHILE_GETTING_VALUE_THRU_METHOD_ACCESSOR

  See Also:
    Constant Field Values

### NULL_POINTER_WHILE_SETTING_VALUE_THRU_INSTANCE_VARIABLE_ACCESSOR

    public static final int NULL_POINTER_WHILE_SETTING_VALUE_THRU_INSTANCE_VARIABLE_ACCESSOR

  See Also:
    Constant Field Values

### NULL_POINTER_WHILE_SETTING_VALUE_THRU_METHOD_ACCESSOR

    public static final int NULL_POINTER_WHILE_SETTING_VALUE_THRU_METHOD_ACCESSOR

  See Also:
    Constant Field Values

### PARENT_DESCRIPTOR_NOT_SPECIFIED

    public static final int PARENT_DESCRIPTOR_NOT_SPECIFIED

  See Also:
    Constant Field Values

### PRIMARY_KEY_FIELDS_NOT_SPECIFIED

    public static final int PRIMARY_KEY_FIELDS_NOT_SPECIFIED

  See Also:
    Constant Field Values

### REFERENCE_CLASS_NOT_SPECIFIED

    public static final int REFERENCE_CLASS_NOT_SPECIFIED

  See Also:
    Constant Field Values

### REFERENCE_DESCRIPTOR_IS_NOT_AGGREGATE

    public static final int REFERENCE_DESCRIPTOR_IS_NOT_AGGREGATE

  See Also:
    Constant Field Values

### REFERENCE_KEY_FIELD_NOT_PROPERLY_SPECIFIED

    public static final int REFERENCE_KEY_FIELD_NOT_PROPERLY_SPECIFIED

  See Also:
    Constant Field Values

### REFERENCE_TABLE_NOT_SPECIFIED

    public static final int REFERENCE_TABLE_NOT_SPECIFIED

  See Also:
    Constant Field Values

### RELATION_KEY_FIELD_NOT_PROPERLY_SPECIFIED

    public static final int RELATION_KEY_FIELD_NOT_PROPERLY_SPECIFIED

  See Also:
    Constant Field Values

### RETURN_TYPE_IN_GET_ATTRIBUTE_ACCESSOR

    public static final int RETURN_TYPE_IN_GET_ATTRIBUTE_ACCESSOR

  See Also:
    Constant Field Values

### SECURITY_ON_FIND_METHOD

    public static final int SECURITY_ON_FIND_METHOD

  See Also:
    Constant Field Values

### SECURITY_ON_FIND_OBSOLETE_METHOD

    public static final int SECURITY_ON_FIND_OBSOLETE_METHOD

  See Also:
    Constant Field Values

### SECURITY_ON_INITIALIZING_ATTRIBUTE_METHOD

    public static final int SECURITY_ON_INITIALIZING_ATTRIBUTE_METHOD

  See Also:
    Constant Field Values

### SECURITY_WHILE_CONVERTING_TO_METHOD

    public static final int SECURITY_WHILE_CONVERTING_TO_METHOD

  See Also:
    Constant Field Values

### SECURITY_WHILE_INITIALIZING_ATTRIBUTES_IN_INSTANCE_VARIABLE_ACCESSOR

    public static final int SECURITY_WHILE_INITIALIZING_ATTRIBUTES_IN_INSTANCE_VARIABLE_ACCESSOR

  See Also:
    Constant Field Values

### SECURITY_WHILE_INITIALIZING_ATTRIBUTES_IN_METHOD_ACCESSOR

    public static final int SECURITY_WHILE_INITIALIZING_ATTRIBUTES_IN_METHOD_ACCESSOR

  See Also:
    Constant Field Values

### SECURITY_WHILE_INITIALIZING_CLASS_EXTRACTION_METHOD

    public static final int SECURITY_WHILE_INITIALIZING_CLASS_EXTRACTION_METHOD

  See Also:
    Constant Field Values

### SECURITY_WHILE_INITIALIZING_COPY_POLICY

    public static final int SECURITY_WHILE_INITIALIZING_COPY_POLICY

  See Also:
    Constant Field Values

### SECURITY_WHILE_INITIALIZING_INSTANTIATION_POLICY

    public static final int SECURITY_WHILE_INITIALIZING_INSTANTIATION_POLICY

  See Also:
    Constant Field Values

### SEQUENCE_NUMBER_PROPERTY_NOT_SPECIFIED

    public static final int SEQUENCE_NUMBER_PROPERTY_NOT_SPECIFIED

  See Also:
    Constant Field Values

### SIZE_MISMATCH_OF_FOREIGN_KEYS

    public static final int SIZE_MISMATCH_OF_FOREIGN_KEYS

  See Also:
    Constant Field Values

### TABLE_NOT_PRESENT

    public static final int TABLE_NOT_PRESENT

  See Also:
    Constant Field Values

### TABLE_NOT_SPECIFIED

    public static final int TABLE_NOT_SPECIFIED

  See Also:
    Constant Field Values

### TARGET_FOREIGN_KEYS_SIZE_MISMATCH

    public static final int TARGET_FOREIGN_KEYS_SIZE_MISMATCH

  See Also:
    Constant Field Values

### TARGET_INVOCATION_WHILE_CLONING

    public static final int TARGET_INVOCATION_WHILE_CLONING

  See Also:
    Constant Field Values

### TARGET_INVOCATION_WHILE_EVENT_EXECUTION

    public static final int TARGET_INVOCATION_WHILE_EVENT_EXECUTION

  See Also:
    Constant Field Values

### TARGET_INVOCATION_WHILE_GETTING_VALUE_THRU_METHOD_ACCESSOR

    public static final int TARGET_INVOCATION_WHILE_GETTING_VALUE_THRU_METHOD_ACCESSOR

  See Also:
    Constant Field Values

### TARGET_INVOCATION_WHILE_INSTANTIATING_METHOD_BASED_PROXY

    public static final int TARGET_INVOCATION_WHILE_INSTANTIATING_METHOD_BASED_PROXY

  See Also:
    Constant Field Values

### TARGET_INVOCATION_WHILE_INVOKING_ATTRIBUTE_METHOD

    public static final int TARGET_INVOCATION_WHILE_INVOKING_ATTRIBUTE_METHOD

  See Also:
    Constant Field Values

### TARGET_INVOCATION_WHILE_INVOKING_FIELD_TO_METHOD

    public static final int TARGET_INVOCATION_WHILE_INVOKING_FIELD_TO_METHOD

  See Also:
    Constant Field Values

### TARGET_INVOCATION_WHILE_INVOKING_ROW_EXTRACTION_METHOD

    public static final int TARGET_INVOCATION_WHILE_INVOKING_ROW_EXTRACTION_METHOD

  See Also:
    Constant Field Values

### TARGET_INVOCATION_WHILE_METHOD_INSTANTIATION

    public static final int TARGET_INVOCATION_WHILE_METHOD_INSTANTIATION

  See Also:
    Constant Field Values

### TARGET_INVOCATION_WHILE_OBSOLETE_EVENT_EXECUTION

    public static final int TARGET_INVOCATION_WHILE_OBSOLETE_EVENT_EXECUTION

  See Also:
    Constant Field Values

### TARGET_INVOCATION_WHILE_SETTING_VALUE_THRU_METHOD_ACESSOR

    public static final int TARGET_INVOCATION_WHILE_SETTING_VALUE_THRU_METHOD_ACESSOR

  See Also:
    Constant Field Values

### VALUE_NOT_FOUND_IN_CLASS_INDICATOR_MAPPING

    public static final int VALUE_NOT_FOUND_IN_CLASS_INDICATOR_MAPPING

  See Also:
    Constant Field Values

### WRITE_LOCK_FIELD_IN_CHILD_DESCRIPTOR

    public static final int WRITE_LOCK_FIELD_IN_CHILD_DESCRIPTOR

  See Also:
    Constant Field Values

### DESCRIPTOR_IS_MISSING

    public static final int DESCRIPTOR_IS_MISSING

  See Also:
    Constant Field Values

### MULTIPLE_TABLE_PRIMARY_KEY_MUST_BE_FULLY_QUALIFIED

    public static final int MULTIPLE_TABLE_PRIMARY_KEY_MUST_BE_FULLY_QUALIFIED

  See Also:
    Constant Field Values

### ONLY_ONE_TABLE_CAN_BE_ADDED_WITH_THIS_METHOD

    public static final int ONLY_ONE_TABLE_CAN_BE_ADDED_WITH_THIS_METHOD

  See Also:
    Constant Field Values

### NULL_POINTER_WHILE_CONSTRUCTOR_INSTANTIATION

    public static final int NULL_POINTER_WHILE_CONSTRUCTOR_INSTANTIATION

  See Also:
    Constant Field Values

### NULL_POINTER_WHILE_METHOD_INSTANTIATION

    public static final int NULL_POINTER_WHILE_METHOD_INSTANTIATION

  See Also:
    Constant Field Values

### NO_ATTRBUTE_VALUE_CONVERSION_TO_FIELD_VALUE_PROVIDED

    public static final int NO_ATTRBUTE_VALUE_CONVERSION_TO_FIELD_VALUE_PROVIDED

  See Also:
    Constant Field Values

### NO_FIELD_VALUE_CONVERSION_TO_ATTRIBUTE_VALUE_PROVIDED

    public static final int NO_FIELD_VALUE_CONVERSION_TO_ATTRIBUTE_VALUE_PROVIDED

  See Also:
    Constant Field Values

### LOCK_MAPPING_CANNOT_BE_READONLY

    public static final int LOCK_MAPPING_CANNOT_BE_READONLY

  See Also:
    Constant Field Values

### LOCK_MAPPING_MUST_BE_READONLY

    public static final int LOCK_MAPPING_MUST_BE_READONLY

  See Also:
    Constant Field Values

### CHILD_DOES_NOT_DEFINE_ABSTRACT_QUERY_KEY

    public static final int CHILD_DOES_NOT_DEFINE_ABSTRACT_QUERY_KEY

  See Also:
    Constant Field Values

### SET_EXISTENCE_CHECKING_NOT_UNDERSTOOD

    public static final int SET_EXISTENCE_CHECKING_NOT_UNDERSTOOD

  See Also:
    Constant Field Values

### VALUE_HOLDER_INSTANTIATION_MISMATCH

    public static final int VALUE_HOLDER_INSTANTIATION_MISMATCH

  See Also:
    Constant Field Values

### NO_SUB_CLASS_MATCH

    public static final int NO_SUB_CLASS_MATCH

  See Also:
    Constant Field Values

### RETURN_AND_MAPPING_WITH_INDIRECTION_MISMATCH

    public static final int RETURN_AND_MAPPING_WITH_INDIRECTION_MISMATCH

  See Also:
    Constant Field Values

### RETURN_AND_MAPPING_WITHOUT_INDIRECTION_MISMATCH

    public static final int RETURN_AND_MAPPING_WITHOUT_INDIRECTION_MISMATCH

  See Also:
    Constant Field Values

### PARAMETER_AND_MAPPING_WITH_INDIRECTION_MISMATCH

    public static final int PARAMETER_AND_MAPPING_WITH_INDIRECTION_MISMATCH

  See Also:
    Constant Field Values

### PARAMETER_AND_MAPPING_WITHOUT_INDIRECTION_MISMATCH

    public static final int PARAMETER_AND_MAPPING_WITHOUT_INDIRECTION_MISMATCH

  See Also:
    Constant Field Values

### GET_METHOD_RETURN_TYPE_NOT_VALID

    public static final int GET_METHOD_RETURN_TYPE_NOT_VALID

  See Also:
    Constant Field Values

### SET_METHOD_PARAMETER_TYPE_NOT_VALID

    public static final int SET_METHOD_PARAMETER_TYPE_NOT_VALID

  See Also:
    Constant Field Values

### ILLEGAL_TABLE_NAME_IN_MULTIPLE_TABLE_FOREIGN_KEY

    public static final int ILLEGAL_TABLE_NAME_IN_MULTIPLE_TABLE_FOREIGN_KEY

  See Also:
    Constant Field Values

### ATTRIBUTE_AND_MAPPING_WITH_TRANSPARENT_INDIRECTION_MISMATCH

    public static final int ATTRIBUTE_AND_MAPPING_WITH_TRANSPARENT_INDIRECTION_MISMATCH

  See Also:
    Constant Field Values

### RETURN_AND_MAPPING_WITH_TRANSPARENT_INDIRECTION_MISMATCH

    public static final int RETURN_AND_MAPPING_WITH_TRANSPARENT_INDIRECTION_MISMATCH

  See Also:
    Constant Field Values

### PARAMETER_AND_MAPPING_WITH_TRANSPARENT_INDIRECTION_MISMATCH

    public static final int PARAMETER_AND_MAPPING_WITH_TRANSPARENT_INDIRECTION_MISMATCH

  See Also:
    Constant Field Values

### FIELD_IS_NOT_PRESENT_IN_DATABASE

    public static final int FIELD_IS_NOT_PRESENT_IN_DATABASE

  See Also:
    Constant Field Values

### TABLE_IS_NOT_PRESENT_IN_DATABASE

    public static final int TABLE_IS_NOT_PRESENT_IN_DATABASE

  See Also:
    Constant Field Values

### MULTIPLE_TABLE_INSERT_ORDER_MISMATCH

    public static final int MULTIPLE_TABLE_INSERT_ORDER_MISMATCH

  See Also:
    Constant Field Values

### INVALID_USE_OF_TRANSPARENT_INDIRECTION

    public static final int INVALID_USE_OF_TRANSPARENT_INDIRECTION

  See Also:
    Constant Field Values

### MISSING_INDIRECT_CONTAINER_CONSTRUCTOR

    public static final int MISSING_INDIRECT_CONTAINER_CONSTRUCTOR

  See Also:
    Constant Field Values

### COULD_NOT_INSTANTIATE_INDIRECT_CONTAINER_CLASS

    public static final int COULD_NOT_INSTANTIATE_INDIRECT_CONTAINER_CLASS

  See Also:
    Constant Field Values

### INVALID_CONTAINER_POLICY

    public static final int INVALID_CONTAINER_POLICY

  See Also:
    Constant Field Values

### INVALID_CONTAINER_POLICY_WITH_TRANSPARENT_INDIRECTION

    public static final int INVALID_CONTAINER_POLICY_WITH_TRANSPARENT_INDIRECTION

  See Also:
    Constant Field Values

### INVALID_USE_OF_NO_INDIRECTION

    public static final int INVALID_USE_OF_NO_INDIRECTION

  See Also:
    Constant Field Values

### INDIRECT_CONTAINER_INSTANTIATION_MISMATCH

    public static final int INDIRECT_CONTAINER_INSTANTIATION_MISMATCH

  See Also:
    Constant Field Values

### INVALID_MAPPING_OPERATION

    public static final int INVALID_MAPPING_OPERATION

  See Also:
    Constant Field Values

### INVALID_INDIRECTION_POLICY_OPERATION

    public static final int INVALID_INDIRECTION_POLICY_OPERATION

  See Also:
    Constant Field Values

### REFERENCE_DESCRIPTOR_IS_NOT_AGGREGATECOLLECTION

    public static final int REFERENCE_DESCRIPTOR_IS_NOT_AGGREGATECOLLECTION

  See Also:
    Constant Field Values

### INVALID_INDIRECTION_CONTAINER_CLASS

    public static final int INVALID_INDIRECTION_CONTAINER_CLASS

  See Also:
    Constant Field Values

### MISSING_FOREIGN_KEY_TRANSLATION

    public static final int MISSING_FOREIGN_KEY_TRANSLATION

  See Also:
    Constant Field Values

### STRUCTURE_NAME_NOT_SET_IN_MAPPING

    public static final int STRUCTURE_NAME_NOT_SET_IN_MAPPING

  See Also:
    Constant Field Values

### NORMAL_DESCRIPTORS_DO_NOT_SUPPORT_NON_RELATIONAL_EXTENSIONS

    public static final int NORMAL_DESCRIPTORS_DO_NOT_SUPPORT_NON_RELATIONAL_EXTENSIONS

  See Also:
    Constant Field Values

### PARENT_CLASS_IS_SELF

    public static final int PARENT_CLASS_IS_SELF

  See Also:
    Constant Field Values

### PROXY_INDIRECTION_NOT_AVAILABLE

    public static final int PROXY_INDIRECTION_NOT_AVAILABLE

  See Also:
    Constant Field Values

### INVALID_ATTRIBUTE_TYPE_FOR_PROXY_INDIRECTION

    public static final int INVALID_ATTRIBUTE_TYPE_FOR_PROXY_INDIRECTION

  See Also:
    Constant Field Values

### INVALID_GET_RETURN_TYPE_FOR_PROXY_INDIRECTION

    public static final int INVALID_GET_RETURN_TYPE_FOR_PROXY_INDIRECTION

  See Also:
    Constant Field Values

### INVALID_SET_PARAMETER_TYPE_FOR_PROXY_INDIRECTION

    public static final int INVALID_SET_PARAMETER_TYPE_FOR_PROXY_INDIRECTION

  See Also:
    Constant Field Values

### INCORRECT_COLLECTION_POLICY

    public static final int INCORRECT_COLLECTION_POLICY

  See Also:
    Constant Field Values

### INVALID_AMENDMENT_METHOD

    public static final int INVALID_AMENDMENT_METHOD

  See Also:
    Constant Field Values

### ERROR_OCCURED_IN_AMENDMENT_METHOD

    public static final int ERROR_OCCURED_IN_AMENDMENT_METHOD

  See Also:
    Constant Field Values

### VARIABLE_ONE_TO_ONE_MAPPING_IS_NOT_DEFINED

    public static final int VARIABLE_ONE_TO_ONE_MAPPING_IS_NOT_DEFINED

  See Also:
    Constant Field Values

### NO_CONSTRUCTOR_INDIRECT_COLLECTION_CLASS

    public static final int NO_CONSTRUCTOR_INDIRECT_COLLECTION_CLASS

  See Also:
    Constant Field Values

### TARGET_INVOCATION_WHILE_CONSTRUCTOR_INSTANTIATION

    public static final int TARGET_INVOCATION_WHILE_CONSTRUCTOR_INSTANTIATION

  See Also:
    Constant Field Values

### TARGET_INVOCATION_WHILE_CONSTRUCTOR_INSTANTIATION_OF_FACTORY

    public static final int TARGET_INVOCATION_WHILE_CONSTRUCTOR_INSTANTIATION_OF_FACTORY

  See Also:
    Constant Field Values

### ILLEGAL_ACCESS_WHILE_CONSTRUCTOR_INSTANTIATION_OF_FACTORY

    public static final int ILLEGAL_ACCESS_WHILE_CONSTRUCTOR_INSTANTIATION_OF_FACTORY

  See Also:
    Constant Field Values

### INSTANTIATION_WHILE_CONSTRUCTOR_INSTANTIATION_OF_FACTORY

    public static final int INSTANTIATION_WHILE_CONSTRUCTOR_INSTANTIATION_OF_FACTORY

  See Also:
    Constant Field Values

### NO_SUCH_METHOD_WHILE_CONSTRUCTOR_INSTANTIATION_OF_FACTORY

    public static final int NO_SUCH_METHOD_WHILE_CONSTRUCTOR_INSTANTIATION_OF_FACTORY

  See Also:
    Constant Field Values

### NULL_POINTER_WHILE_CONSTRUCTOR_INSTANTIATION_OF_FACTORY

    public static final int NULL_POINTER_WHILE_CONSTRUCTOR_INSTANTIATION_OF_FACTORY

  See Also:
    Constant Field Values

### ILLEGAL_ACCESS_WHILE_METHOD_INSTANTIATION_OF_FACTORY

    public static final int ILLEGAL_ACCESS_WHILE_METHOD_INSTANTIATION_OF_FACTORY

  See Also:
    Constant Field Values

### TARGET_INVOCATION_WHILE_METHOD_INSTANTIATION_OF_FACTORY

    public static final int TARGET_INVOCATION_WHILE_METHOD_INSTANTIATION_OF_FACTORY

  See Also:
    Constant Field Values

### NULL_POINTER_WHILE_METHOD_INSTANTIATION_OF_FACTORY

    public static final int NULL_POINTER_WHILE_METHOD_INSTANTIATION_OF_FACTORY

  See Also:
    Constant Field Values

### NO_MAPPING_FOR_ATTRIBUTENAME

    public static final int NO_MAPPING_FOR_ATTRIBUTENAME

  See Also:
    Constant Field Values

### NO_MAPPING_FOR_ATTRIBUTENAME_IN_ENTITY_BEAN

    public static final int NO_MAPPING_FOR_ATTRIBUTENAME_IN_ENTITY_BEAN

  See Also:
    Constant Field Values

### UNSUPPORTED_TYPE_FOR_BIDIRECTIONAL_RELATIONSHIP_MAINTENANCE

    public static final int UNSUPPORTED_TYPE_FOR_BIDIRECTIONAL_RELATIONSHIP_MAINTENANCE

  See Also:
    Constant Field Values

### REFERENCE_DESCRIPTOR_CANNOT_BE_AGGREGATE

    public static final int REFERENCE_DESCRIPTOR_CANNOT_BE_AGGREGATE

  See Also:
    Constant Field Values

### ATTRIBUTE_TRANSFORMER_CLASS_NOT_FOUND

    public static final int ATTRIBUTE_TRANSFORMER_CLASS_NOT_FOUND

  See Also:
    Constant Field Values

### FIELD_TRANSFORMER_CLASS_NOT_FOUND

    public static final int FIELD_TRANSFORMER_CLASS_NOT_FOUND

  See Also:
    Constant Field Values

### ATTRIBUTE_TRANSFORMER_CLASS_INVALID

    public static final int ATTRIBUTE_TRANSFORMER_CLASS_INVALID

  See Also:
    Constant Field Values

### FIELD_TRANSFORMER_CLASS_INVALID

    public static final int FIELD_TRANSFORMER_CLASS_INVALID

  See Also:
    Constant Field Values

### RETURNING_POLICY_FIELD_TYPE_CONFLICT

    public static final int RETURNING_POLICY_FIELD_TYPE_CONFLICT

  See Also:
    Constant Field Values

### RETURNING_POLICY_FIELD_INSERT_CONFLICT

    public static final int RETURNING_POLICY_FIELD_INSERT_CONFLICT

  See Also:
    Constant Field Values

### RETURNING_POLICY_AND_DESCRIPTOR_FIELD_TYPE_CONFLICT

    public static final int RETURNING_POLICY_AND_DESCRIPTOR_FIELD_TYPE_CONFLICT

  See Also:
    Constant Field Values

### RETURNING_POLICY_UNMAPPED_FIELD_TYPE_NOT_SET

    public static final int RETURNING_POLICY_UNMAPPED_FIELD_TYPE_NOT_SET

  See Also:
    Constant Field Values

### RETURNING_POLICY_MAPPED_FIELD_TYPE_NOT_SET

    public static final int RETURNING_POLICY_MAPPED_FIELD_TYPE_NOT_SET

  See Also:
    Constant Field Values

### RETURNING_POLICY_MAPPING_NOT_SUPPORTED

    public static final int RETURNING_POLICY_MAPPING_NOT_SUPPORTED

  See Also:
    Constant Field Values

### RETURNING_POLICY_FIELD_NOT_SUPPORTED

    public static final int RETURNING_POLICY_FIELD_NOT_SUPPORTED

  See Also:
    Constant Field Values

### CUSTOM_QUERY_AND_RETURNING_POLICY_CONFLICT

    public static final int CUSTOM_QUERY_AND_RETURNING_POLICY_CONFLICT

  See Also:
    Constant Field Values

### NO_CUSTOM_QUERY_FOR_RETURNING_POLICY

    public static final int NO_CUSTOM_QUERY_FOR_RETURNING_POLICY

  See Also:
    Constant Field Values

### CLASS_EXTRACTION_METHOD_MUST_BE_STATIC

    public static final int CLASS_EXTRACTION_METHOD_MUST_BE_STATIC

  See Also:
    Constant Field Values

### ISOLATED_DESCRIPTOR_REFERENCED_BY_SHARED_DESCRIPTOR

    public static final int ISOLATED_DESCRIPTOR_REFERENCED_BY_SHARED_DESCRIPTOR

  See Also:
    Constant Field Values

### UPDATE_ALL_FIELDS_NOT_SET

    public static final int UPDATE_ALL_FIELDS_NOT_SET

  See Also:
    Constant Field Values

### INVALID_MAPPING_TYPE

    public static final int INVALID_MAPPING_TYPE

  See Also:
    Constant Field Values

### NEED_TO_IMPLEMENT_CHANGETRACKER

    public static final int NEED_TO_IMPLEMENT_CHANGETRACKER

  See Also:
    Constant Field Values

### NEED_TO_IMPLEMENT_FETCHGROUPTRACKER

    public static final int NEED_TO_IMPLEMENT_FETCHGROUPTRACKER

  See Also:
    Constant Field Values

### ATTEMPT_TO_REGISTER_DEAD_INDIRECTION

    public static final int ATTEMPT_TO_REGISTER_DEAD_INDIRECTION

  See Also:
    Constant Field Values

Method Detail

### attemptToRegisterDeadIndirection

    public static DescriptorException attemptToRegisterDeadIndirection(java.lang.Object object,
                                                                       DatabaseMapping mapping)

### attributeAndMappingWithIndirectionMismatch

    public static DescriptorException attributeAndMappingWithIndirectionMismatch(DatabaseMapping mapping)

### attributeAndMappingWithoutIndirectionMismatch

    public static DescriptorException attributeAndMappingWithoutIndirectionMismatch(DatabaseMapping mapping)

### attributeAndMappingWithTransparentIndirectionMismatch

    public static DescriptorException attributeAndMappingWithTransparentIndirectionMismatch(DatabaseMapping mapping,
                                                                                            java.lang.String validTypeName)

### attributeNameNotSpecified

    public static DescriptorException attributeNameNotSpecified()

### attributeTransformerClassNotFound

    public static DescriptorException attributeTransformerClassNotFound(java.lang.String className,
                                                                        AbstractTransformationMapping mapping,
                                                                        java.lang.Exception exception)

### attributeTransformerClassInvalid

    public static DescriptorException attributeTransformerClassInvalid(java.lang.String className,
                                                                       AbstractTransformationMapping mapping,
                                                                       java.lang.Exception exception)

### attributeTypeNotValid

    public static DescriptorException attributeTypeNotValid(CollectionMapping mapping)

### childDoesNotDefineAbstractQueryKeyOfParent

    public static DescriptorException childDoesNotDefineAbstractQueryKeyOfParent(Descriptor child,
                                                                                 Descriptor parent,
                                                                                 java.lang.String queryKeyName)

### classIndicatorFieldNotFound

    public static DescriptorException classIndicatorFieldNotFound(Descriptor parentDescriptor,
                                                                  Descriptor descriptor)

### couldNotInstantiateIndirectContainerClass

    public static DescriptorException couldNotInstantiateIndirectContainerClass(java.lang.Class containerClass,
                                                                                java.lang.Exception exception)

### descriptorForInterfaceIsMissing

    public static DescriptorException descriptorForInterfaceIsMissing(java.lang.String interfaceName)

### descriptorIsMissing

    public static DescriptorException descriptorIsMissing(java.lang.String className,
                                                          DatabaseMapping mapping)

### directFieldNameNotSet

    public static DescriptorException directFieldNameNotSet(DatabaseMapping mapping)

### errorOccuredInAmendmentMethod

    public static DescriptorException errorOccuredInAmendmentMethod(java.lang.Class amendmentClass,
                                                                    java.lang.String method,
                                                                    java.lang.Exception exception,
                                                                    Descriptor descriptor)

### fieldIsNotPresentInDatabase

    public static DescriptorException fieldIsNotPresentInDatabase(Descriptor descriptor,
                                                                  java.lang.String tableName,
                                                                  java.lang.String fieldName)

### fieldNameNotSetInMapping

    public static DescriptorException fieldNameNotSetInMapping(DatabaseMapping mapping)

### fieldTransformerClassNotFound

    public static DescriptorException fieldTransformerClassNotFound(java.lang.String className,
                                                                    AbstractTransformationMapping mapping,
                                                                    java.lang.Exception exception)

### fieldTransformerClassInvalid

    public static DescriptorException fieldTransformerClassInvalid(java.lang.String className,
                                                                   AbstractTransformationMapping mapping,
                                                                   java.lang.Exception exception)

### foreignKeysDefinedIncorrectly

    public static DescriptorException foreignKeysDefinedIncorrectly(ForeignReferenceMapping mapping)

### getDescriptor

    public Descriptor getDescriptor()

  PUBLIC: Return the descriptor that the problem was detected in.

### getMapping

    public DatabaseMapping getMapping()

  PUBLIC: Return the mapping that the problem was detected in.

### getMessage

    public java.lang.String getMessage()

  PUBLIC: Return the exception error message. TopLink error messages are multi-line so that detail descriptions of the exception are given.
  Overrides:
    `getMessage` in class `TopLinkException`

### getMethodReturnTypeNotValid

    public static DescriptorException getMethodReturnTypeNotValid(CollectionMapping mapping)

### identityMapNotSpecified

    public static DescriptorException identityMapNotSpecified(Descriptor descriptor)

### illegalAccesstWhileGettingValueThruInstanceVaraibleAccessor

    public static DescriptorException illegalAccesstWhileGettingValueThruInstanceVaraibleAccessor(java.lang.String attributeName,
                                                                                                  java.lang.String objectName,
                                                                                                  java.lang.Throwable exception)

### illegalAccessWhileCloning

    public static DescriptorException illegalAccessWhileCloning(java.lang.Object domainObject,
                                                                java.lang.String methodName,
                                                                Descriptor descriptor,
                                                                java.lang.Throwable exception)

### illegalAccessWhileConstructorInstantiation

    public static DescriptorException illegalAccessWhileConstructorInstantiation(Descriptor descriptor,
                                                                                 java.lang.Exception exception)

### illegalAccessWhileConstructorInstantiationOfFactory

    public static DescriptorException illegalAccessWhileConstructorInstantiationOfFactory(Descriptor descriptor,
                                                                                          java.lang.Exception exception)

### illegalAccessWhileEventExecution

    public static DescriptorException illegalAccessWhileEventExecution(java.lang.String eventMethodName,
                                                                       Descriptor descriptor,
                                                                       java.lang.Exception exception)

### illegalAccessWhileGettingValueThruMethodAccessor

    public static DescriptorException illegalAccessWhileGettingValueThruMethodAccessor(java.lang.String methodName,
                                                                                       java.lang.String objectName,
                                                                                       java.lang.Throwable exception)

### illegalAccessWhileInstantiatingMethodBasedProxy

    public static DescriptorException illegalAccessWhileInstantiatingMethodBasedProxy(java.lang.Throwable exception)

### illegalAccessWhileInvokingAttributeMethod

    public static DescriptorException illegalAccessWhileInvokingAttributeMethod(DatabaseMapping mapping,
                                                                                java.lang.Throwable exception)

### illegalAccessWhileInvokingFieldToMethod

    public static DescriptorException illegalAccessWhileInvokingFieldToMethod(java.lang.String methodName,
                                                                              DatabaseMapping mapping,
                                                                              java.lang.Throwable exception)

### illegalAccessWhileInvokingRowExtractionMethod

    public static DescriptorException illegalAccessWhileInvokingRowExtractionMethod(DatabaseRow row,
                                                                                    java.lang.reflect.Method method,
                                                                                    Descriptor descriptor,
                                                                                    java.lang.Throwable exception)

### illegalAccessWhileMethodInstantiation

    public static DescriptorException illegalAccessWhileMethodInstantiation(java.lang.String methodName,
                                                                            Descriptor descriptor,
                                                                            java.lang.Exception exception)

### illegalAccessWhileMethodInstantiationOfFactory

    public static DescriptorException illegalAccessWhileMethodInstantiationOfFactory(java.lang.String methodName,
                                                                                     Descriptor descriptor,
                                                                                     java.lang.Exception exception)

### illegalAccessWhileObsoleteEventExecute

    public static DescriptorException illegalAccessWhileObsoleteEventExecute(java.lang.String eventMethodName,
                                                                             Descriptor descriptor,
                                                                             java.lang.Exception exception)

### illegalAccessWhileSettingValueThruInstanceVariableAccessor

    public static DescriptorException illegalAccessWhileSettingValueThruInstanceVariableAccessor(java.lang.String attributeName,
                                                                                                 java.lang.String objectName,
                                                                                                 java.lang.Object objectValue,
                                                                                                 java.lang.Throwable exception)

### illegalAccessWhileSettingValueThruMethodAccessor

    public static DescriptorException illegalAccessWhileSettingValueThruMethodAccessor(java.lang.String setMethodName,
                                                                                       java.lang.Object value,
                                                                                       java.lang.Throwable exception)

### illegalArgumentWhileGettingValueThruInstanceVariableAccessor

    public static DescriptorException illegalArgumentWhileGettingValueThruInstanceVariableAccessor(java.lang.String attributeName,
                                                                                                   java.lang.String typeName,
                                                                                                   java.lang.String objectName,
                                                                                                   java.lang.Throwable exception)

### illegalArgumentWhileGettingValueThruMethodAccessor

    public static DescriptorException illegalArgumentWhileGettingValueThruMethodAccessor(java.lang.String methodName,
                                                                                         java.lang.String objectName,
                                                                                         java.lang.Throwable exception)

### illegalArgumentWhileInstantiatingMethodBasedProxy

    public static DescriptorException illegalArgumentWhileInstantiatingMethodBasedProxy(java.lang.Throwable exception)

### illegalArgumentWhileInvokingAttributeMethod

    public static DescriptorException illegalArgumentWhileInvokingAttributeMethod(DatabaseMapping mapping,
                                                                                  java.lang.Throwable exception)

### illegalArgumentWhileInvokingFieldToMethod

    public static DescriptorException illegalArgumentWhileInvokingFieldToMethod(java.lang.String methodName,
                                                                                DatabaseMapping mapping,
                                                                                java.lang.Throwable exception)

### illegalArgumentWhileObsoleteEventExecute

    public static DescriptorException illegalArgumentWhileObsoleteEventExecute(java.lang.String eventMethodName,
                                                                               Descriptor descriptor,
                                                                               java.lang.Exception exception)

### illegalArgumentWhileSettingValueThruInstanceVariableAccessor

    public static DescriptorException illegalArgumentWhileSettingValueThruInstanceVariableAccessor(java.lang.String attributeName,
                                                                                                   java.lang.String typeName,
                                                                                                   java.lang.Object value,
                                                                                                   java.lang.Throwable exception)

### illegalArgumentWhileSettingValueThruMethodAccessor

    public static DescriptorException illegalArgumentWhileSettingValueThruMethodAccessor(java.lang.String setMethodName,
                                                                                         java.lang.Object value,
                                                                                         java.lang.Throwable exception)

### illegalTableNameInMultipleTableForeignKeyField

    public static DescriptorException illegalTableNameInMultipleTableForeignKeyField(Descriptor descriptor,
                                                                                     DatabaseTable table)

### incorrectCollectionPolicy

    public static DescriptorException incorrectCollectionPolicy(DatabaseMapping mapping,
                                                                java.lang.Class attributeClass,
                                                                java.lang.Class containerClass)

### indirectContainerInstantiationMismatch

    public static DescriptorException indirectContainerInstantiationMismatch(java.lang.Object attributeValue,
                                                                             DatabaseMapping mapping)

### instantiationWhileConstructorInstantiation

    public static DescriptorException instantiationWhileConstructorInstantiation(Descriptor descriptor,
                                                                                 java.lang.Exception exception)

### instantiationWhileConstructorInstantiationOfFactory

    public static DescriptorException instantiationWhileConstructorInstantiationOfFactory(Descriptor descriptor,
                                                                                          java.lang.Exception exception)

### invalidAmendmentMethod

    public static DescriptorException invalidAmendmentMethod(java.lang.Class amendmentClass,
                                                             java.lang.String method,
                                                             java.lang.Exception exception,
                                                             Descriptor descriptor)

### invalidAttributeTypeForProxyIndirection

    public static DescriptorException invalidAttributeTypeForProxyIndirection(java.lang.Class attributeType,
                                                                              java.lang.Class[] targetInterfaces,
                                                                              DatabaseMapping mapping)

### invalidContainerPolicy

    public static DescriptorException invalidContainerPolicy(oracle.toplink.internal.queryframework.ContainerPolicy containerPolicy,
                                                             java.lang.Class javaClass)

### invalidContainerPolicyWithTransparentIndirection

    public static DescriptorException invalidContainerPolicyWithTransparentIndirection(DatabaseMapping mapping,
                                                                                       oracle.toplink.internal.queryframework.ContainerPolicy containerPolicy)

### invalidDataModificationEvent

    public static DescriptorException invalidDataModificationEvent(DatabaseMapping mapping)

### invalidDataModificationEventCode

    public static DescriptorException invalidDataModificationEventCode(java.lang.Object event,
                                                                       ForeignReferenceMapping mapping)

### invalidDescriptorEventCode

    public static DescriptorException invalidDescriptorEventCode(DescriptorEvent event,
                                                                 Descriptor descriptor)

### invalidGetMethodReturnTypeForProxyIndirection

    public static DescriptorException invalidGetMethodReturnTypeForProxyIndirection(java.lang.Class attributeType,
                                                                                    java.lang.Class[] targetInterfaces,
                                                                                    DatabaseMapping mapping)

### invalidIdentityMap

    public static DescriptorException invalidIdentityMap(Descriptor descriptor,
                                                         java.lang.Throwable exception)

### invalidIndirectionContainerClass

    public static DescriptorException invalidIndirectionContainerClass(oracle.toplink.internal.indirection.ContainerIndirectionPolicy policy,
                                                                       java.lang.Class containerClass)

### invalidIndirectionPolicyOperation

    public static DescriptorException invalidIndirectionPolicyOperation(oracle.toplink.internal.indirection.IndirectionPolicy policy,
                                                                        java.lang.String operation)

### invalidMappingOperation

    public static DescriptorException invalidMappingOperation(DatabaseMapping mapping,
                                                              java.lang.String operation)

### invalidSetMethodParameterTypeForProxyIndirection

    public static DescriptorException invalidSetMethodParameterTypeForProxyIndirection(java.lang.Class attributeType,
                                                                                       java.lang.Class[] targetInterfaces,
                                                                                       DatabaseMapping mapping)

### invalidUseOfNoIndirection

    public static DescriptorException invalidUseOfNoIndirection(DatabaseMapping mapping)

### invalidUseOfTransparentIndirection

    public static DescriptorException invalidUseOfTransparentIndirection(DatabaseMapping mapping)

### isolateDescriptorReferencedBySharedDescriptor

    public static DescriptorException isolateDescriptorReferencedBySharedDescriptor(java.lang.String referenceClass,
                                                                                    java.lang.String sourceClass,
                                                                                    DatabaseMapping mapping)

### javaClassNotSpecified

    public static DescriptorException javaClassNotSpecified(Descriptor descriptor)

### mappingCanNotBeReadOnly

    public static DescriptorException mappingCanNotBeReadOnly(DatabaseMapping mapping)

### mappingForSequenceNumberField

    public static DescriptorException mappingForSequenceNumberField(Descriptor descriptor)

### missingClassForIndicatorFieldValue

    public static DescriptorException missingClassForIndicatorFieldValue(java.lang.Object classFieldValue,
                                                                         Descriptor descriptor)

### missingClassIndicatorField

    public static DescriptorException missingClassIndicatorField(DatabaseRow row,
                                                                 Descriptor descriptor)

### missingForeignKeyTranslation

    public static DescriptorException missingForeignKeyTranslation(ForeignReferenceMapping mapping,
                                                                   DatabaseField primaryKeyField)

### missingIndirectContainerConstructor

    public static DescriptorException missingIndirectContainerConstructor(java.lang.Class containerClass)

### missingMappingForField

    public static DescriptorException missingMappingForField(DatabaseField field,
                                                             Descriptor descriptor)

### multipleTableInsertOrderMismatch

    public static DescriptorException multipleTableInsertOrderMismatch(Descriptor aDescriptor)

### multipleTablePrimaryKeyMustBeFullyQualified

    public static DescriptorException multipleTablePrimaryKeyMustBeFullyQualified(Descriptor descriptor)

### multipleTablePrimaryKeyNotSpecified

    public static DescriptorException multipleTablePrimaryKeyNotSpecified(Descriptor descriptor)

### multipleWriteMappingsForField

    public static DescriptorException multipleWriteMappingsForField(java.lang.String fieldName,
                                                                    DatabaseMapping mapping)

### mustBeReadOnlyMappingWhenStoredInCache

    public static DescriptorException mustBeReadOnlyMappingWhenStoredInCache(DatabaseMapping mapping)

### noAttributeTransformationMethod

    public static DescriptorException noAttributeTransformationMethod(DatabaseMapping mapping)

### noAttributeValueConversionToFieldValueProvided

    public static DescriptorException noAttributeValueConversionToFieldValueProvided(java.lang.Object attributeValue,
                                                                                     DatabaseMapping mapping)

### noConstructorIndirectionContainerClass

    public static DescriptorException noConstructorIndirectionContainerClass(oracle.toplink.internal.indirection.ContainerIndirectionPolicy policy,
                                                                             java.lang.Class containerClass)

### noFieldNameForMapping

    public static DescriptorException noFieldNameForMapping(DatabaseMapping mapping)

### noFieldValueConversionToAttributeValueProvided

    public static DescriptorException noFieldValueConversionToAttributeValueProvided(java.lang.Object fieldValue,
                                                                                     DatabaseField field,
                                                                                     DatabaseMapping mapping)

### noForeignKeysAreSpecified

    public static DescriptorException noForeignKeysAreSpecified(ForeignReferenceMapping mapping)

### noMappingForPrimaryKey

    public static DescriptorException noMappingForPrimaryKey(DatabaseField field,
                                                             Descriptor descriptor)

### noReferenceKeyIsSpecified

    public static DescriptorException noReferenceKeyIsSpecified(ForeignReferenceMapping mapping)

### noRelationTable

    public static DescriptorException noRelationTable(DatabaseMapping mapping)

### normalDescriptorsDoNotSupportNonRelationalExtensions

    public static DescriptorException normalDescriptorsDoNotSupportNonRelationalExtensions(Descriptor descriptor)

### noSourceRelationKeysSpecified

    public static DescriptorException noSourceRelationKeysSpecified(ForeignReferenceMapping mapping)

### noSubClassMatch

    public static DescriptorException noSubClassMatch(java.lang.Class theClass,
                                                      DatabaseMapping mapping)

### noSuchFieldWhileInitializingAttributesInInstanceVariableAccessor

    public static DescriptorException noSuchFieldWhileInitializingAttributesInInstanceVariableAccessor(java.lang.String attributeName,
                                                                                                       java.lang.String javaClassName,
                                                                                                       java.lang.Throwable exception)

### noSuchMethodOnFindObsoleteMethod

    public static DescriptorException noSuchMethodOnFindObsoleteMethod(java.lang.String methodName,
                                                                       Descriptor descriptor,
                                                                       java.lang.Exception exception)

### noSuchMethodOnInitializingAttributeMethod

    public static DescriptorException noSuchMethodOnInitializingAttributeMethod(java.lang.String attributeMethodName,
                                                                                DatabaseMapping mapping,
                                                                                java.lang.Throwable exception)

### noSuchMethodWhileConstructorInstantiation

    public static DescriptorException noSuchMethodWhileConstructorInstantiation(Descriptor descriptor,
                                                                                java.lang.Throwable exception)

### noSuchMethodWhileConstructorInstantiationOfFactory

    public static DescriptorException noSuchMethodWhileConstructorInstantiationOfFactory(Descriptor descriptor,
                                                                                         java.lang.Throwable exception)

### noSuchMethodWhileConvertingToMethod

    public static DescriptorException noSuchMethodWhileConvertingToMethod(java.lang.String methodName,
                                                                          DatabaseMapping mapping,
                                                                          java.lang.Throwable exception)

### noSuchMethodWhileInitializingAttributesInMethodAccessor

    public static DescriptorException noSuchMethodWhileInitializingAttributesInMethodAccessor(java.lang.String setMethodName,
                                                                                              java.lang.String getMethodName,
                                                                                              java.lang.String javaClassName)

### noSuchMethodWhileInitializingClassExtractionMethod

    public static DescriptorException noSuchMethodWhileInitializingClassExtractionMethod(java.lang.String methodName,
                                                                                         Descriptor descriptor,
                                                                                         java.lang.Exception exception)

### noSuchMethodWhileInitializingCopyPolicy

    public static DescriptorException noSuchMethodWhileInitializingCopyPolicy(java.lang.String methodName,
                                                                              Descriptor descriptor,
                                                                              java.lang.Exception exception)

### noSuchMethodWhileInitializingInstantiationPolicy

    public static DescriptorException noSuchMethodWhileInitializingInstantiationPolicy(java.lang.String methodName,
                                                                                       Descriptor descriptor,
                                                                                       java.lang.Exception exception)

### noTargetForeignKeysSpecified

    public static DescriptorException noTargetForeignKeysSpecified(ForeignReferenceMapping mapping)

### noTargetRelationKeysSpecified

    public static DescriptorException noTargetRelationKeysSpecified(ForeignReferenceMapping mapping)

### notDeserializable

    public static DescriptorException notDeserializable(DatabaseMapping mapping,
                                                        java.lang.Throwable exception)

### notSerializable

    public static DescriptorException notSerializable(DatabaseMapping mapping,
                                                      java.lang.Throwable exception)

### nullForNonNullAggregate

    public static DescriptorException nullForNonNullAggregate(java.lang.Object object,
                                                              DatabaseMapping mapping)

### nullPointerWhileConstructorInstantiation

    public static DescriptorException nullPointerWhileConstructorInstantiation(Descriptor descriptor,
                                                                               java.lang.Throwable exception)

### nullPointerWhileConstructorInstantiationOfFactory

    public static DescriptorException nullPointerWhileConstructorInstantiationOfFactory(Descriptor descriptor,
                                                                                        java.lang.Throwable exception)

### nullPointerWhileGettingValueThruInstanceVariableAccessor

    public static DescriptorException nullPointerWhileGettingValueThruInstanceVariableAccessor(java.lang.String attributeName,
                                                                                               java.lang.String objectName,
                                                                                               java.lang.Throwable exception)

### nullPointerWhileGettingValueThruMethodAccessor

    public static DescriptorException nullPointerWhileGettingValueThruMethodAccessor(java.lang.String methodName,
                                                                                     java.lang.String objectName,
                                                                                     java.lang.Throwable exception)

### nullPointerWhileMethodInstantiation

    public static DescriptorException nullPointerWhileMethodInstantiation(java.lang.String methodName,
                                                                          Descriptor descriptor,
                                                                          java.lang.Exception exception)

### nullPointerWhileMethodInstantiationOfFactory

    public static DescriptorException nullPointerWhileMethodInstantiationOfFactory(java.lang.String methodName,
                                                                                   Descriptor descriptor,
                                                                                   java.lang.Exception exception)

### nullPointerWhileSettingValueThruInstanceVariableAccessor

    public static DescriptorException nullPointerWhileSettingValueThruInstanceVariableAccessor(java.lang.String attributeName,
                                                                                               java.lang.Object objectValue,
                                                                                               java.lang.Throwable exception)

### nullPointerWhileSettingValueThruMethodAccessor

    public static DescriptorException nullPointerWhileSettingValueThruMethodAccessor(java.lang.String setMethodName,
                                                                                     java.lang.Object value,
                                                                                     java.lang.Throwable exception)

### onlyOneTableCanBeAddedWithThisMethod

    public static DescriptorException onlyOneTableCanBeAddedWithThisMethod(Descriptor descriptor)

### parameterAndMappingWithIndirectionMismatch

    public static DescriptorException parameterAndMappingWithIndirectionMismatch(DatabaseMapping mapping)

### parameterAndMappingWithoutIndirectionMismatch

    public static DescriptorException parameterAndMappingWithoutIndirectionMismatch(DatabaseMapping mapping)

### parameterAndMappingWithTransparentIndirectionMismatch

    public static DescriptorException parameterAndMappingWithTransparentIndirectionMismatch(DatabaseMapping mapping,
                                                                                            java.lang.String validTypeName)

### parentClassIsSelf

    public static DescriptorException parentClassIsSelf(Descriptor descriptor)

### parentDescriptorNotSpecified

    public static DescriptorException parentDescriptorNotSpecified(java.lang.String parentClassName,
                                                                   Descriptor descriptor)

### primaryKeyFieldsNotSepcified

    public static DescriptorException primaryKeyFieldsNotSepcified(Descriptor descriptor)

### proxyIndirectionNotAvailable

    public static DescriptorException proxyIndirectionNotAvailable(DatabaseMapping mapping)

### referenceClassNotSpecified

    public static DescriptorException referenceClassNotSpecified(DatabaseMapping mapping)

### referenceDescriptorIsNotAggregate

    public static DescriptorException referenceDescriptorIsNotAggregate(java.lang.String className,
                                                                        DatabaseMapping mapping)

### referenceDescriptorCannotBeAggregate

    public static DescriptorException referenceDescriptorCannotBeAggregate(DatabaseMapping mapping)

### referenceDescriptorIsNotAggregateCollection

    public static DescriptorException referenceDescriptorIsNotAggregateCollection(java.lang.String className,
                                                                                  DatabaseMapping mapping)

### referenceKeyFieldNotProperlySpecified

    public static DescriptorException referenceKeyFieldNotProperlySpecified(DatabaseField field,
                                                                            ForeignReferenceMapping mapping)

### referenceTableNotSpecified

    public static DescriptorException referenceTableNotSpecified(DatabaseMapping mapping)

### relationKeyFieldNotProperlySpecified

    public static DescriptorException relationKeyFieldNotProperlySpecified(DatabaseField field,
                                                                           ForeignReferenceMapping mapping)

### returnAndMappingWithIndirectionMismatch

    public static DescriptorException returnAndMappingWithIndirectionMismatch(DatabaseMapping mapping)

### returnAndMappingWithoutIndirectionMismatch

    public static DescriptorException returnAndMappingWithoutIndirectionMismatch(DatabaseMapping mapping)

### returnAndMappingWithTransparentIndirectionMismatch

    public static DescriptorException returnAndMappingWithTransparentIndirectionMismatch(DatabaseMapping mapping,
                                                                                         java.lang.String validTypeName)

### returnTypeInGetAttributeAccessor

    public static DescriptorException returnTypeInGetAttributeAccessor(java.lang.String attributeMethodName,
                                                                       DatabaseMapping mapping)

### securityOnFindMethod

    public static DescriptorException securityOnFindMethod(java.lang.String methodName,
                                                           Descriptor descriptor,
                                                           java.lang.Exception exception)

### securityOnFindObsoleteMethod

    public static DescriptorException securityOnFindObsoleteMethod(java.lang.String methodName,
                                                                   Descriptor descriptor,
                                                                   java.lang.Exception exception)

### securityOnInitializingAttributeMethod

    public static DescriptorException securityOnInitializingAttributeMethod(java.lang.String attributeMethodName,
                                                                            DatabaseMapping mapping,
                                                                            java.lang.Throwable exception)

### securityWhileConvertingToMethod

    public static DescriptorException securityWhileConvertingToMethod(java.lang.String methodName,
                                                                      DatabaseMapping mapping,
                                                                      java.lang.Throwable exception)

### securityWhileInitializingAttributesInInstanceVariableAccessor

    public static DescriptorException securityWhileInitializingAttributesInInstanceVariableAccessor(java.lang.String attributeName,
                                                                                                    java.lang.String javaClassName,
                                                                                                    java.lang.Throwable exception)

### securityWhileInitializingAttributesInMethodAccessor

    public static DescriptorException securityWhileInitializingAttributesInMethodAccessor(java.lang.String setMethodName,
                                                                                          java.lang.String getMethodName,
                                                                                          java.lang.String javaClassName)

### securityWhileInitializingClassExtractionMethod

    public static DescriptorException securityWhileInitializingClassExtractionMethod(java.lang.String methodName,
                                                                                     Descriptor descriptor,
                                                                                     java.lang.Exception exception)

### classExtractionMethodMustBeStatic

    public static DescriptorException classExtractionMethodMustBeStatic(java.lang.String methodName,
                                                                        Descriptor descriptor)

### securityWhileInitializingCopyPolicy

    public static DescriptorException securityWhileInitializingCopyPolicy(java.lang.String methodName,
                                                                          Descriptor descriptor,
                                                                          java.lang.Exception exception)

### securityWhileInitializingInstantiationPolicy

    public static DescriptorException securityWhileInitializingInstantiationPolicy(java.lang.String methodName,
                                                                                   Descriptor descriptor,
                                                                                   java.lang.Exception exception)

### sequenceNumberPropertyNotSpecified

    public static DescriptorException sequenceNumberPropertyNotSpecified(Descriptor descriptor)

### setExistenceCheckingNotUnderstood

    public static DescriptorException setExistenceCheckingNotUnderstood(java.lang.String token,
                                                                        Descriptor descriptor)

### setMethodParameterTypeNotValid

    public static DescriptorException setMethodParameterTypeNotValid(CollectionMapping mapping)

### sizeMismatchOfForeignKeys

    public static DescriptorException sizeMismatchOfForeignKeys(ForeignReferenceMapping mapping)

### structureNameNotSetInMapping

    public static DescriptorException structureNameNotSetInMapping(DatabaseMapping mapping)

### tableIsNotPresentInDatabase

    public static DescriptorException tableIsNotPresentInDatabase(Descriptor descriptor)

### tableNotPresent

    public static DescriptorException tableNotPresent(java.lang.String tableName,
                                                      Descriptor descriptor)

### tableNotSpecified

    public static DescriptorException tableNotSpecified(Descriptor descriptor)

### targetForeignKeysSizeMismatch

    public static DescriptorException targetForeignKeysSizeMismatch(ForeignReferenceMapping mapping)

### targetInvocationWhileCloning

    public static DescriptorException targetInvocationWhileCloning(java.lang.Object domainObject,
                                                                   java.lang.String methodName,
                                                                   Descriptor descriptor,
                                                                   java.lang.Throwable exception)

### targetInvocationWhileConstructorInstantiation

    public static DescriptorException targetInvocationWhileConstructorInstantiation(Descriptor descriptor,
                                                                                    java.lang.Exception exception)

### targetInvocationWhileConstructorInstantiationOfFactory

    public static DescriptorException targetInvocationWhileConstructorInstantiationOfFactory(Descriptor descriptor,
                                                                                             java.lang.Exception exception)

### targetInvocationWhileEventExecution

    public static DescriptorException targetInvocationWhileEventExecution(java.lang.String eventMethodName,
                                                                          Descriptor descriptor,
                                                                          java.lang.Exception exception)

### targetInvocationWhileGettingValueThruMethodAccessor

    public static DescriptorException targetInvocationWhileGettingValueThruMethodAccessor(java.lang.String methodName,
                                                                                          java.lang.String objectName,
                                                                                          java.lang.Throwable exception)

### targetInvocationWhileInstantiatingMethodBasedProxy

    public static DescriptorException targetInvocationWhileInstantiatingMethodBasedProxy(java.lang.Throwable exception)

### targetInvocationWhileInvokingAttributeMethod

    public static DescriptorException targetInvocationWhileInvokingAttributeMethod(DatabaseMapping mapping,
                                                                                   java.lang.Throwable exception)

### targetInvocationWhileInvokingFieldToMethod

    public static DescriptorException targetInvocationWhileInvokingFieldToMethod(java.lang.String methodName,
                                                                                 DatabaseMapping mapping,
                                                                                 java.lang.Throwable exception)

### targetInvocationWhileInvokingRowExtractionMethod

    public static DescriptorException targetInvocationWhileInvokingRowExtractionMethod(DatabaseRow row,
                                                                                       java.lang.reflect.Method method,
                                                                                       Descriptor descriptor,
                                                                                       java.lang.Throwable exception)

### targetInvocationWhileMethodInstantiation

    public static DescriptorException targetInvocationWhileMethodInstantiation(java.lang.String methodName,
                                                                               Descriptor descriptor,
                                                                               java.lang.Exception exception)

### targetInvocationWhileMethodInstantiationOfFactory

    public static DescriptorException targetInvocationWhileMethodInstantiationOfFactory(java.lang.String methodName,
                                                                                        Descriptor descriptor,
                                                                                        java.lang.Exception exception)

### targetInvocationWhileObsoleteEventExecute

    public static DescriptorException targetInvocationWhileObsoleteEventExecute(java.lang.String eventMethodName,
                                                                                Descriptor descriptor,
                                                                                java.lang.Exception exception)

### targetInvocationWhileSettingValueThruMethodAccessor

    public static DescriptorException targetInvocationWhileSettingValueThruMethodAccessor(java.lang.String setMethodName,
                                                                                          java.lang.Object value,
                                                                                          java.lang.Throwable exception)

### unsupportedTypeForBidirectionalRelationshipMaintenance

    public static DescriptorException unsupportedTypeForBidirectionalRelationshipMaintenance(DatabaseMapping mapping,
                                                                                             oracle.toplink.internal.queryframework.ContainerPolicy containerPolicy)

### valueHolderInstantiationMismatch

    public static DescriptorException valueHolderInstantiationMismatch(java.lang.Object attributeValue,
                                                                       DatabaseMapping mapping)

### valueNotFoundInClassIndicatorMapping

    public static DescriptorException valueNotFoundInClassIndicatorMapping(Descriptor parentDescriptor,
                                                                           Descriptor descriptor)

### variableOneToOneMappingIsNotDefinedProperly

    public static DescriptorException variableOneToOneMappingIsNotDefinedProperly(DatabaseMapping mapping,
                                                                                  Descriptor descriptor,
                                                                                  java.lang.String targetKeyName)

### writeLockFieldInChildDescriptor

    public static DescriptorException writeLockFieldInChildDescriptor(Descriptor descriptor)

### mappingForAttributeIsMissing

    public static DescriptorException mappingForAttributeIsMissing(java.lang.String attributeName,
                                                                   Descriptor descriptor)

### attributeMappingIsMissingForEntityBean

    public static DescriptorException attributeMappingIsMissingForEntityBean(java.lang.String attributeName,
                                                                             java.lang.String beanName)

### returningPolicyFieldTypeConflict

    public static DescriptorException returningPolicyFieldTypeConflict(java.lang.String fieldName,
                                                                       java.lang.String type1Name,
                                                                       java.lang.String type2Name,
                                                                       Descriptor descriptor)

### returningPolicyFieldInsertConflict

    public static DescriptorException returningPolicyFieldInsertConflict(java.lang.String fieldName,
                                                                         Descriptor descriptor)

### returningPolicyAndDescriptorFieldTypeConflict

    public static DescriptorException returningPolicyAndDescriptorFieldTypeConflict(java.lang.String fieldName,
                                                                                    java.lang.String returningPolicyFieldTypeName,
                                                                                    java.lang.String descriptorFieldTypeName,
                                                                                    Descriptor descriptor)

### returningPolicyUnmappedFieldTypeNotSet

    public static DescriptorException returningPolicyUnmappedFieldTypeNotSet(java.lang.String fieldName,
                                                                             Descriptor descriptor)

### returningPolicyMappedFieldTypeNotSet

    public static DescriptorException returningPolicyMappedFieldTypeNotSet(java.lang.String fieldName,
                                                                           Descriptor descriptor)

### returningPolicyMappingNotSupported

    public static DescriptorException returningPolicyMappingNotSupported(java.lang.String fieldName,
                                                                         java.lang.String mappingClassName,
                                                                         DatabaseMapping mapping)

### returningPolicyFieldNotSupported

    public static DescriptorException returningPolicyFieldNotSupported(java.lang.String fieldName,
                                                                       Descriptor descriptor)

### customQueryAndReturningPolicyFieldConflict

    public static DescriptorException customQueryAndReturningPolicyFieldConflict(java.lang.String queryTypeName,
                                                                                 java.lang.String fieldName,
                                                                                 Descriptor descriptor)

### noCustomQueryForReturningPolicy

    public static DescriptorException noCustomQueryForReturningPolicy(java.lang.String queryTypeName,
                                                                      java.lang.String platformTypeName,
                                                                      Descriptor descriptor)

### updateAllFieldsNotSet

    public static DescriptorException updateAllFieldsNotSet(Descriptor descriptor)

### invalidMappingType

    public static DescriptorException invalidMappingType(DatabaseMapping mapping)

### needToImplementChangeTracker

    public static DescriptorException needToImplementChangeTracker(Descriptor descriptor)

### needToImplementFetchGroupTracker

    public static DescriptorException needToImplementFetchGroupTracker(java.lang.Class aClass,
                                                                       Descriptor descriptor)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD